// Code generated by protoc-gen-go.
// source: client/pfs/pfs.proto
// DO NOT EDIT!

/*
Package pfs is a generated protocol buffer package.

It is generated from these files:
	client/pfs/pfs.proto

It has these top-level messages:
	Repo
	Commit
	File
	Block
	Diff
	RepoInfo
	RepoInfos
	CommitInfo
	CommitInfos
	FileInfo
	FileInfos
	ByteRange
	BlockRef
	BlockRefs
	Append
	BlockInfo
	BlockInfos
	DiffInfo
	Shard
	CreateRepoRequest
	InspectRepoRequest
	ListRepoRequest
	DeleteRepoRequest
	StartCommitRequest
	FinishCommitRequest
	InspectCommitRequest
	ListCommitRequest
	ListBranchRequest
	DeleteCommitRequest
	FlushCommitRequest
	GetFileRequest
	PutFileRequest
	InspectFileRequest
	ListFileRequest
	DeleteFileRequest
	PutBlockRequest
	GetBlockRequest
	DeleteBlockRequest
	InspectBlockRequest
	ListBlockRequest
	InspectDiffRequest
	ListDiffRequest
	DeleteDiffRequest
*/
package pfs

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "github.com/gengo/grpc-gateway/third_party/googleapis/google/api"
import google_protobuf1 "go.pedge.io/pb/go/google/protobuf"
import google_protobuf2 "go.pedge.io/pb/go/google/protobuf"
import google_protobuf3 "go.pedge.io/pb/go/google/protobuf"
import _ "github.com/pachyderm/pachyderm/src/client/pkg/shard"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
const _ = proto.ProtoPackageIsVersion1

type CommitType int32

const (
	CommitType_COMMIT_TYPE_NONE  CommitType = 0
	CommitType_COMMIT_TYPE_READ  CommitType = 1
	CommitType_COMMIT_TYPE_WRITE CommitType = 2
)

var CommitType_name = map[int32]string{
	0: "COMMIT_TYPE_NONE",
	1: "COMMIT_TYPE_READ",
	2: "COMMIT_TYPE_WRITE",
}
var CommitType_value = map[string]int32{
	"COMMIT_TYPE_NONE":  0,
	"COMMIT_TYPE_READ":  1,
	"COMMIT_TYPE_WRITE": 2,
}

func (x CommitType) String() string {
	return proto.EnumName(CommitType_name, int32(x))
}
func (CommitType) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

type FileType int32

const (
	FileType_FILE_TYPE_NONE    FileType = 0
	FileType_FILE_TYPE_REGULAR FileType = 1
	FileType_FILE_TYPE_DIR     FileType = 2
)

var FileType_name = map[int32]string{
	0: "FILE_TYPE_NONE",
	1: "FILE_TYPE_REGULAR",
	2: "FILE_TYPE_DIR",
}
var FileType_value = map[string]int32{
	"FILE_TYPE_NONE":    0,
	"FILE_TYPE_REGULAR": 1,
	"FILE_TYPE_DIR":     2,
}

func (x FileType) String() string {
	return proto.EnumName(FileType_name, int32(x))
}
func (FileType) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

type Delimiter int32

const (
	Delimiter_NONE Delimiter = 0
	Delimiter_JSON Delimiter = 1
	Delimiter_LINE Delimiter = 2
)

var Delimiter_name = map[int32]string{
	0: "NONE",
	1: "JSON",
	2: "LINE",
}
var Delimiter_value = map[string]int32{
	"NONE": 0,
	"JSON": 1,
	"LINE": 2,
}

func (x Delimiter) String() string {
	return proto.EnumName(Delimiter_name, int32(x))
}
func (Delimiter) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

type Repo struct {
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
}

func (m *Repo) Reset()                    { *m = Repo{} }
func (m *Repo) String() string            { return proto.CompactTextString(m) }
func (*Repo) ProtoMessage()               {}
func (*Repo) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

type Commit struct {
	Repo *Repo  `protobuf:"bytes,1,opt,name=repo" json:"repo,omitempty"`
	ID   string `protobuf:"bytes,2,opt,name=id" json:"id,omitempty"`
}

func (m *Commit) Reset()                    { *m = Commit{} }
func (m *Commit) String() string            { return proto.CompactTextString(m) }
func (*Commit) ProtoMessage()               {}
func (*Commit) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *Commit) GetRepo() *Repo {
	if m != nil {
		return m.Repo
	}
	return nil
}

type File struct {
	Commit *Commit `protobuf:"bytes,1,opt,name=commit" json:"commit,omitempty"`
	Path   string  `protobuf:"bytes,2,opt,name=path" json:"path,omitempty"`
}

func (m *File) Reset()                    { *m = File{} }
func (m *File) String() string            { return proto.CompactTextString(m) }
func (*File) ProtoMessage()               {}
func (*File) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *File) GetCommit() *Commit {
	if m != nil {
		return m.Commit
	}
	return nil
}

type Block struct {
	Hash string `protobuf:"bytes,1,opt,name=hash" json:"hash,omitempty"`
}

func (m *Block) Reset()                    { *m = Block{} }
func (m *Block) String() string            { return proto.CompactTextString(m) }
func (*Block) ProtoMessage()               {}
func (*Block) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

type Diff struct {
	Commit *Commit `protobuf:"bytes,1,opt,name=commit" json:"commit,omitempty"`
	Shard  uint64  `protobuf:"varint,2,opt,name=shard" json:"shard,omitempty"`
}

func (m *Diff) Reset()                    { *m = Diff{} }
func (m *Diff) String() string            { return proto.CompactTextString(m) }
func (*Diff) ProtoMessage()               {}
func (*Diff) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *Diff) GetCommit() *Commit {
	if m != nil {
		return m.Commit
	}
	return nil
}

type RepoInfo struct {
	Repo       *Repo                       `protobuf:"bytes,1,opt,name=repo" json:"repo,omitempty"`
	Created    *google_protobuf2.Timestamp `protobuf:"bytes,2,opt,name=created" json:"created,omitempty"`
	SizeBytes  uint64                      `protobuf:"varint,3,opt,name=size_bytes,json=sizeBytes" json:"size_bytes,omitempty"`
	Provenance []*Repo                     `protobuf:"bytes,4,rep,name=provenance" json:"provenance,omitempty"`
}

func (m *RepoInfo) Reset()                    { *m = RepoInfo{} }
func (m *RepoInfo) String() string            { return proto.CompactTextString(m) }
func (*RepoInfo) ProtoMessage()               {}
func (*RepoInfo) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *RepoInfo) GetRepo() *Repo {
	if m != nil {
		return m.Repo
	}
	return nil
}

func (m *RepoInfo) GetCreated() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Created
	}
	return nil
}

func (m *RepoInfo) GetProvenance() []*Repo {
	if m != nil {
		return m.Provenance
	}
	return nil
}

type RepoInfos struct {
	RepoInfo []*RepoInfo `protobuf:"bytes,1,rep,name=repo_info,json=repoInfo" json:"repo_info,omitempty"`
}

func (m *RepoInfos) Reset()                    { *m = RepoInfos{} }
func (m *RepoInfos) String() string            { return proto.CompactTextString(m) }
func (*RepoInfos) ProtoMessage()               {}
func (*RepoInfos) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{6} }

func (m *RepoInfos) GetRepoInfo() []*RepoInfo {
	if m != nil {
		return m.RepoInfo
	}
	return nil
}

type CommitInfo struct {
	Commit       *Commit                     `protobuf:"bytes,1,opt,name=commit" json:"commit,omitempty"`
	Branch       string                      `protobuf:"bytes,2,opt,name=branch" json:"branch,omitempty"`
	CommitType   CommitType                  `protobuf:"varint,3,opt,name=commit_type,json=commitType,enum=pfs.CommitType" json:"commit_type,omitempty"`
	ParentCommit *Commit                     `protobuf:"bytes,4,opt,name=parent_commit,json=parentCommit" json:"parent_commit,omitempty"`
	Started      *google_protobuf2.Timestamp `protobuf:"bytes,5,opt,name=started" json:"started,omitempty"`
	Finished     *google_protobuf2.Timestamp `protobuf:"bytes,6,opt,name=finished" json:"finished,omitempty"`
	SizeBytes    uint64                      `protobuf:"varint,7,opt,name=size_bytes,json=sizeBytes" json:"size_bytes,omitempty"`
	Cancelled    bool                        `protobuf:"varint,8,opt,name=cancelled" json:"cancelled,omitempty"`
	Provenance   []*Commit                   `protobuf:"bytes,9,rep,name=provenance" json:"provenance,omitempty"`
}

func (m *CommitInfo) Reset()                    { *m = CommitInfo{} }
func (m *CommitInfo) String() string            { return proto.CompactTextString(m) }
func (*CommitInfo) ProtoMessage()               {}
func (*CommitInfo) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{7} }

func (m *CommitInfo) GetCommit() *Commit {
	if m != nil {
		return m.Commit
	}
	return nil
}

func (m *CommitInfo) GetParentCommit() *Commit {
	if m != nil {
		return m.ParentCommit
	}
	return nil
}

func (m *CommitInfo) GetStarted() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Started
	}
	return nil
}

func (m *CommitInfo) GetFinished() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Finished
	}
	return nil
}

func (m *CommitInfo) GetProvenance() []*Commit {
	if m != nil {
		return m.Provenance
	}
	return nil
}

type CommitInfos struct {
	CommitInfo []*CommitInfo `protobuf:"bytes,1,rep,name=commit_info,json=commitInfo" json:"commit_info,omitempty"`
}

func (m *CommitInfos) Reset()                    { *m = CommitInfos{} }
func (m *CommitInfos) String() string            { return proto.CompactTextString(m) }
func (*CommitInfos) ProtoMessage()               {}
func (*CommitInfos) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{8} }

func (m *CommitInfos) GetCommitInfo() []*CommitInfo {
	if m != nil {
		return m.CommitInfo
	}
	return nil
}

type FileInfo struct {
	File           *File                       `protobuf:"bytes,1,opt,name=file" json:"file,omitempty"`
	FileType       FileType                    `protobuf:"varint,2,opt,name=file_type,json=fileType,enum=pfs.FileType" json:"file_type,omitempty"`
	SizeBytes      uint64                      `protobuf:"varint,3,opt,name=size_bytes,json=sizeBytes" json:"size_bytes,omitempty"`
	Modified       *google_protobuf2.Timestamp `protobuf:"bytes,4,opt,name=modified" json:"modified,omitempty"`
	CommitModified *Commit                     `protobuf:"bytes,5,opt,name=commit_modified,json=commitModified" json:"commit_modified,omitempty"`
	Children       []*File                     `protobuf:"bytes,6,rep,name=children" json:"children,omitempty"`
}

func (m *FileInfo) Reset()                    { *m = FileInfo{} }
func (m *FileInfo) String() string            { return proto.CompactTextString(m) }
func (*FileInfo) ProtoMessage()               {}
func (*FileInfo) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{9} }

func (m *FileInfo) GetFile() *File {
	if m != nil {
		return m.File
	}
	return nil
}

func (m *FileInfo) GetModified() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Modified
	}
	return nil
}

func (m *FileInfo) GetCommitModified() *Commit {
	if m != nil {
		return m.CommitModified
	}
	return nil
}

func (m *FileInfo) GetChildren() []*File {
	if m != nil {
		return m.Children
	}
	return nil
}

type FileInfos struct {
	FileInfo []*FileInfo `protobuf:"bytes,1,rep,name=file_info,json=fileInfo" json:"file_info,omitempty"`
}

func (m *FileInfos) Reset()                    { *m = FileInfos{} }
func (m *FileInfos) String() string            { return proto.CompactTextString(m) }
func (*FileInfos) ProtoMessage()               {}
func (*FileInfos) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{10} }

func (m *FileInfos) GetFileInfo() []*FileInfo {
	if m != nil {
		return m.FileInfo
	}
	return nil
}

type ByteRange struct {
	Lower uint64 `protobuf:"varint,1,opt,name=lower" json:"lower,omitempty"`
	Upper uint64 `protobuf:"varint,2,opt,name=upper" json:"upper,omitempty"`
}

func (m *ByteRange) Reset()                    { *m = ByteRange{} }
func (m *ByteRange) String() string            { return proto.CompactTextString(m) }
func (*ByteRange) ProtoMessage()               {}
func (*ByteRange) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{11} }

type BlockRef struct {
	Block *Block     `protobuf:"bytes,1,opt,name=block" json:"block,omitempty"`
	Range *ByteRange `protobuf:"bytes,2,opt,name=range" json:"range,omitempty"`
}

func (m *BlockRef) Reset()                    { *m = BlockRef{} }
func (m *BlockRef) String() string            { return proto.CompactTextString(m) }
func (*BlockRef) ProtoMessage()               {}
func (*BlockRef) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{12} }

func (m *BlockRef) GetBlock() *Block {
	if m != nil {
		return m.Block
	}
	return nil
}

func (m *BlockRef) GetRange() *ByteRange {
	if m != nil {
		return m.Range
	}
	return nil
}

type BlockRefs struct {
	BlockRef []*BlockRef `protobuf:"bytes,1,rep,name=block_ref,json=blockRef" json:"block_ref,omitempty"`
}

func (m *BlockRefs) Reset()                    { *m = BlockRefs{} }
func (m *BlockRefs) String() string            { return proto.CompactTextString(m) }
func (*BlockRefs) ProtoMessage()               {}
func (*BlockRefs) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{13} }

func (m *BlockRefs) GetBlockRef() []*BlockRef {
	if m != nil {
		return m.BlockRef
	}
	return nil
}

type Append struct {
	BlockRefs     []*BlockRef           `protobuf:"bytes,1,rep,name=block_refs,json=blockRefs" json:"block_refs,omitempty"`
	Children      map[string]bool       `protobuf:"bytes,2,rep,name=children" json:"children,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"varint,2,opt,name=value"`
	LastRef       *Commit               `protobuf:"bytes,3,opt,name=last_ref,json=lastRef" json:"last_ref,omitempty"`
	Delete        bool                  `protobuf:"varint,4,opt,name=delete" json:"delete,omitempty"`
	Handles       map[string]*BlockRefs `protobuf:"bytes,5,rep,name=handles" json:"handles,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	HandleDeletes map[string]bool       `protobuf:"bytes,6,rep,name=handle_deletes,json=handleDeletes" json:"handle_deletes,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"varint,2,opt,name=value"`
	FileType      FileType              `protobuf:"varint,7,opt,name=file_type,json=fileType,enum=pfs.FileType" json:"file_type,omitempty"`
}

func (m *Append) Reset()                    { *m = Append{} }
func (m *Append) String() string            { return proto.CompactTextString(m) }
func (*Append) ProtoMessage()               {}
func (*Append) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{14} }

func (m *Append) GetBlockRefs() []*BlockRef {
	if m != nil {
		return m.BlockRefs
	}
	return nil
}

func (m *Append) GetChildren() map[string]bool {
	if m != nil {
		return m.Children
	}
	return nil
}

func (m *Append) GetLastRef() *Commit {
	if m != nil {
		return m.LastRef
	}
	return nil
}

func (m *Append) GetHandles() map[string]*BlockRefs {
	if m != nil {
		return m.Handles
	}
	return nil
}

func (m *Append) GetHandleDeletes() map[string]bool {
	if m != nil {
		return m.HandleDeletes
	}
	return nil
}

type BlockInfo struct {
	Block     *Block                      `protobuf:"bytes,1,opt,name=block" json:"block,omitempty"`
	Created   *google_protobuf2.Timestamp `protobuf:"bytes,2,opt,name=created" json:"created,omitempty"`
	SizeBytes uint64                      `protobuf:"varint,3,opt,name=size_bytes,json=sizeBytes" json:"size_bytes,omitempty"`
}

func (m *BlockInfo) Reset()                    { *m = BlockInfo{} }
func (m *BlockInfo) String() string            { return proto.CompactTextString(m) }
func (*BlockInfo) ProtoMessage()               {}
func (*BlockInfo) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{15} }

func (m *BlockInfo) GetBlock() *Block {
	if m != nil {
		return m.Block
	}
	return nil
}

func (m *BlockInfo) GetCreated() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Created
	}
	return nil
}

type BlockInfos struct {
	BlockInfo []*BlockInfo `protobuf:"bytes,1,rep,name=block_info,json=blockInfo" json:"block_info,omitempty"`
}

func (m *BlockInfos) Reset()                    { *m = BlockInfos{} }
func (m *BlockInfos) String() string            { return proto.CompactTextString(m) }
func (*BlockInfos) ProtoMessage()               {}
func (*BlockInfos) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{16} }

func (m *BlockInfos) GetBlockInfo() []*BlockInfo {
	if m != nil {
		return m.BlockInfo
	}
	return nil
}

type DiffInfo struct {
	Diff         *Diff                       `protobuf:"bytes,1,opt,name=diff" json:"diff,omitempty"`
	ParentCommit *Commit                     `protobuf:"bytes,2,opt,name=parent_commit,json=parentCommit" json:"parent_commit,omitempty"`
	Branch       string                      `protobuf:"bytes,3,opt,name=branch" json:"branch,omitempty"`
	Started      *google_protobuf2.Timestamp `protobuf:"bytes,4,opt,name=started" json:"started,omitempty"`
	Finished     *google_protobuf2.Timestamp `protobuf:"bytes,5,opt,name=finished" json:"finished,omitempty"`
	// Appends is the BlockRefs which have been append to files indexed by path.
	Appends    map[string]*Append `protobuf:"bytes,6,rep,name=appends" json:"appends,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	SizeBytes  uint64             `protobuf:"varint,7,opt,name=size_bytes,json=sizeBytes" json:"size_bytes,omitempty"`
	Cancelled  bool               `protobuf:"varint,8,opt,name=cancelled" json:"cancelled,omitempty"`
	Provenance []*Commit          `protobuf:"bytes,9,rep,name=provenance" json:"provenance,omitempty"`
}

func (m *DiffInfo) Reset()                    { *m = DiffInfo{} }
func (m *DiffInfo) String() string            { return proto.CompactTextString(m) }
func (*DiffInfo) ProtoMessage()               {}
func (*DiffInfo) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{17} }

func (m *DiffInfo) GetDiff() *Diff {
	if m != nil {
		return m.Diff
	}
	return nil
}

func (m *DiffInfo) GetParentCommit() *Commit {
	if m != nil {
		return m.ParentCommit
	}
	return nil
}

func (m *DiffInfo) GetStarted() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Started
	}
	return nil
}

func (m *DiffInfo) GetFinished() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Finished
	}
	return nil
}

func (m *DiffInfo) GetAppends() map[string]*Append {
	if m != nil {
		return m.Appends
	}
	return nil
}

func (m *DiffInfo) GetProvenance() []*Commit {
	if m != nil {
		return m.Provenance
	}
	return nil
}

type Shard struct {
	FileNumber   uint64 `protobuf:"varint,1,opt,name=file_number,json=fileNumber" json:"file_number,omitempty"`
	FileModulus  uint64 `protobuf:"varint,2,opt,name=file_modulus,json=fileModulus" json:"file_modulus,omitempty"`
	BlockNumber  uint64 `protobuf:"varint,3,opt,name=block_number,json=blockNumber" json:"block_number,omitempty"`
	BlockModulus uint64 `protobuf:"varint,4,opt,name=block_modulus,json=blockModulus" json:"block_modulus,omitempty"`
}

func (m *Shard) Reset()                    { *m = Shard{} }
func (m *Shard) String() string            { return proto.CompactTextString(m) }
func (*Shard) ProtoMessage()               {}
func (*Shard) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{18} }

type CreateRepoRequest struct {
	Repo       *Repo                       `protobuf:"bytes,1,opt,name=repo" json:"repo,omitempty"`
	Created    *google_protobuf2.Timestamp `protobuf:"bytes,2,opt,name=created" json:"created,omitempty"`
	Provenance []*Repo                     `protobuf:"bytes,3,rep,name=provenance" json:"provenance,omitempty"`
}

func (m *CreateRepoRequest) Reset()                    { *m = CreateRepoRequest{} }
func (m *CreateRepoRequest) String() string            { return proto.CompactTextString(m) }
func (*CreateRepoRequest) ProtoMessage()               {}
func (*CreateRepoRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{19} }

func (m *CreateRepoRequest) GetRepo() *Repo {
	if m != nil {
		return m.Repo
	}
	return nil
}

func (m *CreateRepoRequest) GetCreated() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Created
	}
	return nil
}

func (m *CreateRepoRequest) GetProvenance() []*Repo {
	if m != nil {
		return m.Provenance
	}
	return nil
}

type InspectRepoRequest struct {
	Repo *Repo `protobuf:"bytes,1,opt,name=repo" json:"repo,omitempty"`
}

func (m *InspectRepoRequest) Reset()                    { *m = InspectRepoRequest{} }
func (m *InspectRepoRequest) String() string            { return proto.CompactTextString(m) }
func (*InspectRepoRequest) ProtoMessage()               {}
func (*InspectRepoRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{20} }

func (m *InspectRepoRequest) GetRepo() *Repo {
	if m != nil {
		return m.Repo
	}
	return nil
}

type ListRepoRequest struct {
	Provenance []*Repo `protobuf:"bytes,1,rep,name=provenance" json:"provenance,omitempty"`
}

func (m *ListRepoRequest) Reset()                    { *m = ListRepoRequest{} }
func (m *ListRepoRequest) String() string            { return proto.CompactTextString(m) }
func (*ListRepoRequest) ProtoMessage()               {}
func (*ListRepoRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{21} }

func (m *ListRepoRequest) GetProvenance() []*Repo {
	if m != nil {
		return m.Provenance
	}
	return nil
}

type DeleteRepoRequest struct {
	Repo *Repo `protobuf:"bytes,1,opt,name=repo" json:"repo,omitempty"`
}

func (m *DeleteRepoRequest) Reset()                    { *m = DeleteRepoRequest{} }
func (m *DeleteRepoRequest) String() string            { return proto.CompactTextString(m) }
func (*DeleteRepoRequest) ProtoMessage()               {}
func (*DeleteRepoRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{22} }

func (m *DeleteRepoRequest) GetRepo() *Repo {
	if m != nil {
		return m.Repo
	}
	return nil
}

type StartCommitRequest struct {
	Repo       *Repo                       `protobuf:"bytes,1,opt,name=repo" json:"repo,omitempty"`
	ID         string                      `protobuf:"bytes,2,opt,name=id" json:"id,omitempty"`
	ParentID   string                      `protobuf:"bytes,3,opt,name=parent_id,json=parentId" json:"parent_id,omitempty"`
	Branch     string                      `protobuf:"bytes,4,opt,name=branch" json:"branch,omitempty"`
	Started    *google_protobuf2.Timestamp `protobuf:"bytes,5,opt,name=started" json:"started,omitempty"`
	Provenance []*Commit                   `protobuf:"bytes,6,rep,name=provenance" json:"provenance,omitempty"`
}

func (m *StartCommitRequest) Reset()                    { *m = StartCommitRequest{} }
func (m *StartCommitRequest) String() string            { return proto.CompactTextString(m) }
func (*StartCommitRequest) ProtoMessage()               {}
func (*StartCommitRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{23} }

func (m *StartCommitRequest) GetRepo() *Repo {
	if m != nil {
		return m.Repo
	}
	return nil
}

func (m *StartCommitRequest) GetStarted() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Started
	}
	return nil
}

func (m *StartCommitRequest) GetProvenance() []*Commit {
	if m != nil {
		return m.Provenance
	}
	return nil
}

type FinishCommitRequest struct {
	Commit   *Commit                     `protobuf:"bytes,1,opt,name=commit" json:"commit,omitempty"`
	Cancel   bool                        `protobuf:"varint,2,opt,name=cancel" json:"cancel,omitempty"`
	Finished *google_protobuf2.Timestamp `protobuf:"bytes,3,opt,name=finished" json:"finished,omitempty"`
}

func (m *FinishCommitRequest) Reset()                    { *m = FinishCommitRequest{} }
func (m *FinishCommitRequest) String() string            { return proto.CompactTextString(m) }
func (*FinishCommitRequest) ProtoMessage()               {}
func (*FinishCommitRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{24} }

func (m *FinishCommitRequest) GetCommit() *Commit {
	if m != nil {
		return m.Commit
	}
	return nil
}

func (m *FinishCommitRequest) GetFinished() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Finished
	}
	return nil
}

type InspectCommitRequest struct {
	Commit *Commit `protobuf:"bytes,1,opt,name=commit" json:"commit,omitempty"`
}

func (m *InspectCommitRequest) Reset()                    { *m = InspectCommitRequest{} }
func (m *InspectCommitRequest) String() string            { return proto.CompactTextString(m) }
func (*InspectCommitRequest) ProtoMessage()               {}
func (*InspectCommitRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{25} }

func (m *InspectCommitRequest) GetCommit() *Commit {
	if m != nil {
		return m.Commit
	}
	return nil
}

type ListCommitRequest struct {
	Repo       []*Repo    `protobuf:"bytes,1,rep,name=repo" json:"repo,omitempty"`
	CommitType CommitType `protobuf:"varint,2,opt,name=commit_type,json=commitType,enum=pfs.CommitType" json:"commit_type,omitempty"`
	FromCommit []*Commit  `protobuf:"bytes,3,rep,name=from_commit,json=fromCommit" json:"from_commit,omitempty"`
	Provenance []*Commit  `protobuf:"bytes,4,rep,name=provenance" json:"provenance,omitempty"`
	All        bool       `protobuf:"varint,5,opt,name=all" json:"all,omitempty"`
	Block      bool       `protobuf:"varint,6,opt,name=block" json:"block,omitempty"`
}

func (m *ListCommitRequest) Reset()                    { *m = ListCommitRequest{} }
func (m *ListCommitRequest) String() string            { return proto.CompactTextString(m) }
func (*ListCommitRequest) ProtoMessage()               {}
func (*ListCommitRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{26} }

func (m *ListCommitRequest) GetRepo() []*Repo {
	if m != nil {
		return m.Repo
	}
	return nil
}

func (m *ListCommitRequest) GetFromCommit() []*Commit {
	if m != nil {
		return m.FromCommit
	}
	return nil
}

func (m *ListCommitRequest) GetProvenance() []*Commit {
	if m != nil {
		return m.Provenance
	}
	return nil
}

type ListBranchRequest struct {
	Repo *Repo `protobuf:"bytes,1,opt,name=repo" json:"repo,omitempty"`
}

func (m *ListBranchRequest) Reset()                    { *m = ListBranchRequest{} }
func (m *ListBranchRequest) String() string            { return proto.CompactTextString(m) }
func (*ListBranchRequest) ProtoMessage()               {}
func (*ListBranchRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{27} }

func (m *ListBranchRequest) GetRepo() *Repo {
	if m != nil {
		return m.Repo
	}
	return nil
}

type DeleteCommitRequest struct {
	Commit *Commit `protobuf:"bytes,1,opt,name=commit" json:"commit,omitempty"`
}

func (m *DeleteCommitRequest) Reset()                    { *m = DeleteCommitRequest{} }
func (m *DeleteCommitRequest) String() string            { return proto.CompactTextString(m) }
func (*DeleteCommitRequest) ProtoMessage()               {}
func (*DeleteCommitRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{28} }

func (m *DeleteCommitRequest) GetCommit() *Commit {
	if m != nil {
		return m.Commit
	}
	return nil
}

type FlushCommitRequest struct {
	Commit []*Commit `protobuf:"bytes,1,rep,name=commit" json:"commit,omitempty"`
	ToRepo []*Repo   `protobuf:"bytes,2,rep,name=to_repo,json=toRepo" json:"to_repo,omitempty"`
}

func (m *FlushCommitRequest) Reset()                    { *m = FlushCommitRequest{} }
func (m *FlushCommitRequest) String() string            { return proto.CompactTextString(m) }
func (*FlushCommitRequest) ProtoMessage()               {}
func (*FlushCommitRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{29} }

func (m *FlushCommitRequest) GetCommit() []*Commit {
	if m != nil {
		return m.Commit
	}
	return nil
}

func (m *FlushCommitRequest) GetToRepo() []*Repo {
	if m != nil {
		return m.ToRepo
	}
	return nil
}

type GetFileRequest struct {
	File        *File   `protobuf:"bytes,1,opt,name=file" json:"file,omitempty"`
	OffsetBytes int64   `protobuf:"varint,2,opt,name=offset_bytes,json=offsetBytes" json:"offset_bytes,omitempty"`
	SizeBytes   int64   `protobuf:"varint,3,opt,name=size_bytes,json=sizeBytes" json:"size_bytes,omitempty"`
	Shard       *Shard  `protobuf:"bytes,4,opt,name=shard" json:"shard,omitempty"`
	FromCommit  *Commit `protobuf:"bytes,5,opt,name=from_commit,json=fromCommit" json:"from_commit,omitempty"`
	Unsafe      bool    `protobuf:"varint,6,opt,name=unsafe" json:"unsafe,omitempty"`
	Handle      string  `protobuf:"bytes,7,opt,name=handle" json:"handle,omitempty"`
}

func (m *GetFileRequest) Reset()                    { *m = GetFileRequest{} }
func (m *GetFileRequest) String() string            { return proto.CompactTextString(m) }
func (*GetFileRequest) ProtoMessage()               {}
func (*GetFileRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{30} }

func (m *GetFileRequest) GetFile() *File {
	if m != nil {
		return m.File
	}
	return nil
}

func (m *GetFileRequest) GetShard() *Shard {
	if m != nil {
		return m.Shard
	}
	return nil
}

func (m *GetFileRequest) GetFromCommit() *Commit {
	if m != nil {
		return m.FromCommit
	}
	return nil
}

type PutFileRequest struct {
	File      *File     `protobuf:"bytes,1,opt,name=file" json:"file,omitempty"`
	FileType  FileType  `protobuf:"varint,2,opt,name=file_type,json=fileType,enum=pfs.FileType" json:"file_type,omitempty"`
	Value     []byte    `protobuf:"bytes,3,opt,name=value,proto3" json:"value,omitempty"`
	Handle    string    `protobuf:"bytes,4,opt,name=handle" json:"handle,omitempty"`
	Delimiter Delimiter `protobuf:"varint,5,opt,name=delimiter,enum=pfs.Delimiter" json:"delimiter,omitempty"`
}

func (m *PutFileRequest) Reset()                    { *m = PutFileRequest{} }
func (m *PutFileRequest) String() string            { return proto.CompactTextString(m) }
func (*PutFileRequest) ProtoMessage()               {}
func (*PutFileRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{31} }

func (m *PutFileRequest) GetFile() *File {
	if m != nil {
		return m.File
	}
	return nil
}

type InspectFileRequest struct {
	File       *File   `protobuf:"bytes,1,opt,name=file" json:"file,omitempty"`
	Shard      *Shard  `protobuf:"bytes,2,opt,name=shard" json:"shard,omitempty"`
	FromCommit *Commit `protobuf:"bytes,3,opt,name=from_commit,json=fromCommit" json:"from_commit,omitempty"`
	Unsafe     bool    `protobuf:"varint,4,opt,name=unsafe" json:"unsafe,omitempty"`
	Handle     string  `protobuf:"bytes,5,opt,name=handle" json:"handle,omitempty"`
}

func (m *InspectFileRequest) Reset()                    { *m = InspectFileRequest{} }
func (m *InspectFileRequest) String() string            { return proto.CompactTextString(m) }
func (*InspectFileRequest) ProtoMessage()               {}
func (*InspectFileRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{32} }

func (m *InspectFileRequest) GetFile() *File {
	if m != nil {
		return m.File
	}
	return nil
}

func (m *InspectFileRequest) GetShard() *Shard {
	if m != nil {
		return m.Shard
	}
	return nil
}

func (m *InspectFileRequest) GetFromCommit() *Commit {
	if m != nil {
		return m.FromCommit
	}
	return nil
}

type ListFileRequest struct {
	File       *File   `protobuf:"bytes,1,opt,name=file" json:"file,omitempty"`
	Shard      *Shard  `protobuf:"bytes,2,opt,name=shard" json:"shard,omitempty"`
	FromCommit *Commit `protobuf:"bytes,3,opt,name=from_commit,json=fromCommit" json:"from_commit,omitempty"`
	Recurse    bool    `protobuf:"varint,4,opt,name=recurse" json:"recurse,omitempty"`
	Unsafe     bool    `protobuf:"varint,5,opt,name=unsafe" json:"unsafe,omitempty"`
	Handle     string  `protobuf:"bytes,6,opt,name=handle" json:"handle,omitempty"`
}

func (m *ListFileRequest) Reset()                    { *m = ListFileRequest{} }
func (m *ListFileRequest) String() string            { return proto.CompactTextString(m) }
func (*ListFileRequest) ProtoMessage()               {}
func (*ListFileRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{33} }

func (m *ListFileRequest) GetFile() *File {
	if m != nil {
		return m.File
	}
	return nil
}

func (m *ListFileRequest) GetShard() *Shard {
	if m != nil {
		return m.Shard
	}
	return nil
}

func (m *ListFileRequest) GetFromCommit() *Commit {
	if m != nil {
		return m.FromCommit
	}
	return nil
}

type DeleteFileRequest struct {
	File   *File  `protobuf:"bytes,1,opt,name=file" json:"file,omitempty"`
	Unsafe bool   `protobuf:"varint,2,opt,name=unsafe" json:"unsafe,omitempty"`
	Handle string `protobuf:"bytes,3,opt,name=handle" json:"handle,omitempty"`
}

func (m *DeleteFileRequest) Reset()                    { *m = DeleteFileRequest{} }
func (m *DeleteFileRequest) String() string            { return proto.CompactTextString(m) }
func (*DeleteFileRequest) ProtoMessage()               {}
func (*DeleteFileRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{34} }

func (m *DeleteFileRequest) GetFile() *File {
	if m != nil {
		return m.File
	}
	return nil
}

type PutBlockRequest struct {
	Value     []byte    `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`
	Delimiter Delimiter `protobuf:"varint,2,opt,name=delimiter,enum=pfs.Delimiter" json:"delimiter,omitempty"`
}

func (m *PutBlockRequest) Reset()                    { *m = PutBlockRequest{} }
func (m *PutBlockRequest) String() string            { return proto.CompactTextString(m) }
func (*PutBlockRequest) ProtoMessage()               {}
func (*PutBlockRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{35} }

type GetBlockRequest struct {
	Block       *Block `protobuf:"bytes,1,opt,name=block" json:"block,omitempty"`
	OffsetBytes uint64 `protobuf:"varint,2,opt,name=offset_bytes,json=offsetBytes" json:"offset_bytes,omitempty"`
	SizeBytes   uint64 `protobuf:"varint,3,opt,name=size_bytes,json=sizeBytes" json:"size_bytes,omitempty"`
}

func (m *GetBlockRequest) Reset()                    { *m = GetBlockRequest{} }
func (m *GetBlockRequest) String() string            { return proto.CompactTextString(m) }
func (*GetBlockRequest) ProtoMessage()               {}
func (*GetBlockRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{36} }

func (m *GetBlockRequest) GetBlock() *Block {
	if m != nil {
		return m.Block
	}
	return nil
}

type DeleteBlockRequest struct {
	Block *Block `protobuf:"bytes,1,opt,name=block" json:"block,omitempty"`
}

func (m *DeleteBlockRequest) Reset()                    { *m = DeleteBlockRequest{} }
func (m *DeleteBlockRequest) String() string            { return proto.CompactTextString(m) }
func (*DeleteBlockRequest) ProtoMessage()               {}
func (*DeleteBlockRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{37} }

func (m *DeleteBlockRequest) GetBlock() *Block {
	if m != nil {
		return m.Block
	}
	return nil
}

type InspectBlockRequest struct {
	Block *Block `protobuf:"bytes,1,opt,name=block" json:"block,omitempty"`
}

func (m *InspectBlockRequest) Reset()                    { *m = InspectBlockRequest{} }
func (m *InspectBlockRequest) String() string            { return proto.CompactTextString(m) }
func (*InspectBlockRequest) ProtoMessage()               {}
func (*InspectBlockRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{38} }

func (m *InspectBlockRequest) GetBlock() *Block {
	if m != nil {
		return m.Block
	}
	return nil
}

type ListBlockRequest struct {
}

func (m *ListBlockRequest) Reset()                    { *m = ListBlockRequest{} }
func (m *ListBlockRequest) String() string            { return proto.CompactTextString(m) }
func (*ListBlockRequest) ProtoMessage()               {}
func (*ListBlockRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{39} }

type InspectDiffRequest struct {
	Diff *Diff `protobuf:"bytes,1,opt,name=diff" json:"diff,omitempty"`
}

func (m *InspectDiffRequest) Reset()                    { *m = InspectDiffRequest{} }
func (m *InspectDiffRequest) String() string            { return proto.CompactTextString(m) }
func (*InspectDiffRequest) ProtoMessage()               {}
func (*InspectDiffRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{40} }

func (m *InspectDiffRequest) GetDiff() *Diff {
	if m != nil {
		return m.Diff
	}
	return nil
}

type ListDiffRequest struct {
	Shard uint64 `protobuf:"varint,1,opt,name=shard" json:"shard,omitempty"`
}

func (m *ListDiffRequest) Reset()                    { *m = ListDiffRequest{} }
func (m *ListDiffRequest) String() string            { return proto.CompactTextString(m) }
func (*ListDiffRequest) ProtoMessage()               {}
func (*ListDiffRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{41} }

type DeleteDiffRequest struct {
	Diff *Diff `protobuf:"bytes,1,opt,name=diff" json:"diff,omitempty"`
}

func (m *DeleteDiffRequest) Reset()                    { *m = DeleteDiffRequest{} }
func (m *DeleteDiffRequest) String() string            { return proto.CompactTextString(m) }
func (*DeleteDiffRequest) ProtoMessage()               {}
func (*DeleteDiffRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{42} }

func (m *DeleteDiffRequest) GetDiff() *Diff {
	if m != nil {
		return m.Diff
	}
	return nil
}

func init() {
	proto.RegisterType((*Repo)(nil), "pfs.Repo")
	proto.RegisterType((*Commit)(nil), "pfs.Commit")
	proto.RegisterType((*File)(nil), "pfs.File")
	proto.RegisterType((*Block)(nil), "pfs.Block")
	proto.RegisterType((*Diff)(nil), "pfs.Diff")
	proto.RegisterType((*RepoInfo)(nil), "pfs.RepoInfo")
	proto.RegisterType((*RepoInfos)(nil), "pfs.RepoInfos")
	proto.RegisterType((*CommitInfo)(nil), "pfs.CommitInfo")
	proto.RegisterType((*CommitInfos)(nil), "pfs.CommitInfos")
	proto.RegisterType((*FileInfo)(nil), "pfs.FileInfo")
	proto.RegisterType((*FileInfos)(nil), "pfs.FileInfos")
	proto.RegisterType((*ByteRange)(nil), "pfs.ByteRange")
	proto.RegisterType((*BlockRef)(nil), "pfs.BlockRef")
	proto.RegisterType((*BlockRefs)(nil), "pfs.BlockRefs")
	proto.RegisterType((*Append)(nil), "pfs.Append")
	proto.RegisterType((*BlockInfo)(nil), "pfs.BlockInfo")
	proto.RegisterType((*BlockInfos)(nil), "pfs.BlockInfos")
	proto.RegisterType((*DiffInfo)(nil), "pfs.DiffInfo")
	proto.RegisterType((*Shard)(nil), "pfs.Shard")
	proto.RegisterType((*CreateRepoRequest)(nil), "pfs.CreateRepoRequest")
	proto.RegisterType((*InspectRepoRequest)(nil), "pfs.InspectRepoRequest")
	proto.RegisterType((*ListRepoRequest)(nil), "pfs.ListRepoRequest")
	proto.RegisterType((*DeleteRepoRequest)(nil), "pfs.DeleteRepoRequest")
	proto.RegisterType((*StartCommitRequest)(nil), "pfs.StartCommitRequest")
	proto.RegisterType((*FinishCommitRequest)(nil), "pfs.FinishCommitRequest")
	proto.RegisterType((*InspectCommitRequest)(nil), "pfs.InspectCommitRequest")
	proto.RegisterType((*ListCommitRequest)(nil), "pfs.ListCommitRequest")
	proto.RegisterType((*ListBranchRequest)(nil), "pfs.ListBranchRequest")
	proto.RegisterType((*DeleteCommitRequest)(nil), "pfs.DeleteCommitRequest")
	proto.RegisterType((*FlushCommitRequest)(nil), "pfs.FlushCommitRequest")
	proto.RegisterType((*GetFileRequest)(nil), "pfs.GetFileRequest")
	proto.RegisterType((*PutFileRequest)(nil), "pfs.PutFileRequest")
	proto.RegisterType((*InspectFileRequest)(nil), "pfs.InspectFileRequest")
	proto.RegisterType((*ListFileRequest)(nil), "pfs.ListFileRequest")
	proto.RegisterType((*DeleteFileRequest)(nil), "pfs.DeleteFileRequest")
	proto.RegisterType((*PutBlockRequest)(nil), "pfs.PutBlockRequest")
	proto.RegisterType((*GetBlockRequest)(nil), "pfs.GetBlockRequest")
	proto.RegisterType((*DeleteBlockRequest)(nil), "pfs.DeleteBlockRequest")
	proto.RegisterType((*InspectBlockRequest)(nil), "pfs.InspectBlockRequest")
	proto.RegisterType((*ListBlockRequest)(nil), "pfs.ListBlockRequest")
	proto.RegisterType((*InspectDiffRequest)(nil), "pfs.InspectDiffRequest")
	proto.RegisterType((*ListDiffRequest)(nil), "pfs.ListDiffRequest")
	proto.RegisterType((*DeleteDiffRequest)(nil), "pfs.DeleteDiffRequest")
	proto.RegisterEnum("pfs.CommitType", CommitType_name, CommitType_value)
	proto.RegisterEnum("pfs.FileType", FileType_name, FileType_value)
	proto.RegisterEnum("pfs.Delimiter", Delimiter_name, Delimiter_value)
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion2

// Client API for API service

type APIClient interface {
	// Repo rpcs
	// CreateRepo creates a new repo.
	// An error is returned if the repo already exists.
	CreateRepo(ctx context.Context, in *CreateRepoRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// InspectRepo returns info about a repo.
	InspectRepo(ctx context.Context, in *InspectRepoRequest, opts ...grpc.CallOption) (*RepoInfo, error)
	// ListRepo returns info about all repos.
	ListRepo(ctx context.Context, in *ListRepoRequest, opts ...grpc.CallOption) (*RepoInfos, error)
	// DeleteRepo deletes a repo.
	DeleteRepo(ctx context.Context, in *DeleteRepoRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Commit rpcs
	// StartCommit creates a new write commit from a parent commit.
	StartCommit(ctx context.Context, in *StartCommitRequest, opts ...grpc.CallOption) (*Commit, error)
	// FinishCommit turns a write commit into a read commit.
	FinishCommit(ctx context.Context, in *FinishCommitRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// InspectCommit returns the info about a commit.
	InspectCommit(ctx context.Context, in *InspectCommitRequest, opts ...grpc.CallOption) (*CommitInfo, error)
	// ListCommit returns info about all commits.
	ListCommit(ctx context.Context, in *ListCommitRequest, opts ...grpc.CallOption) (*CommitInfos, error)
	// DeleteCommit deletes a commit.
	DeleteCommit(ctx context.Context, in *DeleteCommitRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// FlushCommit waits for downstream commits to finish
	FlushCommit(ctx context.Context, in *FlushCommitRequest, opts ...grpc.CallOption) (*CommitInfos, error)
	// ListBranch returns info about the heads of branches.
	ListBranch(ctx context.Context, in *ListBranchRequest, opts ...grpc.CallOption) (*CommitInfos, error)
	// File rpcs
	// PutFile writes the specified file to pfs.
	PutFile(ctx context.Context, opts ...grpc.CallOption) (API_PutFileClient, error)
	// GetFile returns a byte stream of the contents of the file.
	GetFile(ctx context.Context, in *GetFileRequest, opts ...grpc.CallOption) (API_GetFileClient, error)
	// InspectFile returns info about a file.
	InspectFile(ctx context.Context, in *InspectFileRequest, opts ...grpc.CallOption) (*FileInfo, error)
	// ListFile returns info about all files.
	ListFile(ctx context.Context, in *ListFileRequest, opts ...grpc.CallOption) (*FileInfos, error)
	// DeleteFile deletes a file.
	DeleteFile(ctx context.Context, in *DeleteFileRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
}

type aPIClient struct {
	cc *grpc.ClientConn
}

func NewAPIClient(cc *grpc.ClientConn) APIClient {
	return &aPIClient{cc}
}

func (c *aPIClient) CreateRepo(ctx context.Context, in *CreateRepoRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.API/CreateRepo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) InspectRepo(ctx context.Context, in *InspectRepoRequest, opts ...grpc.CallOption) (*RepoInfo, error) {
	out := new(RepoInfo)
	err := grpc.Invoke(ctx, "/pfs.API/InspectRepo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) ListRepo(ctx context.Context, in *ListRepoRequest, opts ...grpc.CallOption) (*RepoInfos, error) {
	out := new(RepoInfos)
	err := grpc.Invoke(ctx, "/pfs.API/ListRepo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) DeleteRepo(ctx context.Context, in *DeleteRepoRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.API/DeleteRepo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) StartCommit(ctx context.Context, in *StartCommitRequest, opts ...grpc.CallOption) (*Commit, error) {
	out := new(Commit)
	err := grpc.Invoke(ctx, "/pfs.API/StartCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) FinishCommit(ctx context.Context, in *FinishCommitRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.API/FinishCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) InspectCommit(ctx context.Context, in *InspectCommitRequest, opts ...grpc.CallOption) (*CommitInfo, error) {
	out := new(CommitInfo)
	err := grpc.Invoke(ctx, "/pfs.API/InspectCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) ListCommit(ctx context.Context, in *ListCommitRequest, opts ...grpc.CallOption) (*CommitInfos, error) {
	out := new(CommitInfos)
	err := grpc.Invoke(ctx, "/pfs.API/ListCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) DeleteCommit(ctx context.Context, in *DeleteCommitRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.API/DeleteCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) FlushCommit(ctx context.Context, in *FlushCommitRequest, opts ...grpc.CallOption) (*CommitInfos, error) {
	out := new(CommitInfos)
	err := grpc.Invoke(ctx, "/pfs.API/FlushCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) ListBranch(ctx context.Context, in *ListBranchRequest, opts ...grpc.CallOption) (*CommitInfos, error) {
	out := new(CommitInfos)
	err := grpc.Invoke(ctx, "/pfs.API/ListBranch", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) PutFile(ctx context.Context, opts ...grpc.CallOption) (API_PutFileClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_API_serviceDesc.Streams[0], c.cc, "/pfs.API/PutFile", opts...)
	if err != nil {
		return nil, err
	}
	x := &aPIPutFileClient{stream}
	return x, nil
}

type API_PutFileClient interface {
	Send(*PutFileRequest) error
	CloseAndRecv() (*google_protobuf1.Empty, error)
	grpc.ClientStream
}

type aPIPutFileClient struct {
	grpc.ClientStream
}

func (x *aPIPutFileClient) Send(m *PutFileRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *aPIPutFileClient) CloseAndRecv() (*google_protobuf1.Empty, error) {
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	m := new(google_protobuf1.Empty)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *aPIClient) GetFile(ctx context.Context, in *GetFileRequest, opts ...grpc.CallOption) (API_GetFileClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_API_serviceDesc.Streams[1], c.cc, "/pfs.API/GetFile", opts...)
	if err != nil {
		return nil, err
	}
	x := &aPIGetFileClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type API_GetFileClient interface {
	Recv() (*google_protobuf3.BytesValue, error)
	grpc.ClientStream
}

type aPIGetFileClient struct {
	grpc.ClientStream
}

func (x *aPIGetFileClient) Recv() (*google_protobuf3.BytesValue, error) {
	m := new(google_protobuf3.BytesValue)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *aPIClient) InspectFile(ctx context.Context, in *InspectFileRequest, opts ...grpc.CallOption) (*FileInfo, error) {
	out := new(FileInfo)
	err := grpc.Invoke(ctx, "/pfs.API/InspectFile", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) ListFile(ctx context.Context, in *ListFileRequest, opts ...grpc.CallOption) (*FileInfos, error) {
	out := new(FileInfos)
	err := grpc.Invoke(ctx, "/pfs.API/ListFile", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *aPIClient) DeleteFile(ctx context.Context, in *DeleteFileRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.API/DeleteFile", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for API service

type APIServer interface {
	// Repo rpcs
	// CreateRepo creates a new repo.
	// An error is returned if the repo already exists.
	CreateRepo(context.Context, *CreateRepoRequest) (*google_protobuf1.Empty, error)
	// InspectRepo returns info about a repo.
	InspectRepo(context.Context, *InspectRepoRequest) (*RepoInfo, error)
	// ListRepo returns info about all repos.
	ListRepo(context.Context, *ListRepoRequest) (*RepoInfos, error)
	// DeleteRepo deletes a repo.
	DeleteRepo(context.Context, *DeleteRepoRequest) (*google_protobuf1.Empty, error)
	// Commit rpcs
	// StartCommit creates a new write commit from a parent commit.
	StartCommit(context.Context, *StartCommitRequest) (*Commit, error)
	// FinishCommit turns a write commit into a read commit.
	FinishCommit(context.Context, *FinishCommitRequest) (*google_protobuf1.Empty, error)
	// InspectCommit returns the info about a commit.
	InspectCommit(context.Context, *InspectCommitRequest) (*CommitInfo, error)
	// ListCommit returns info about all commits.
	ListCommit(context.Context, *ListCommitRequest) (*CommitInfos, error)
	// DeleteCommit deletes a commit.
	DeleteCommit(context.Context, *DeleteCommitRequest) (*google_protobuf1.Empty, error)
	// FlushCommit waits for downstream commits to finish
	FlushCommit(context.Context, *FlushCommitRequest) (*CommitInfos, error)
	// ListBranch returns info about the heads of branches.
	ListBranch(context.Context, *ListBranchRequest) (*CommitInfos, error)
	// File rpcs
	// PutFile writes the specified file to pfs.
	PutFile(API_PutFileServer) error
	// GetFile returns a byte stream of the contents of the file.
	GetFile(*GetFileRequest, API_GetFileServer) error
	// InspectFile returns info about a file.
	InspectFile(context.Context, *InspectFileRequest) (*FileInfo, error)
	// ListFile returns info about all files.
	ListFile(context.Context, *ListFileRequest) (*FileInfos, error)
	// DeleteFile deletes a file.
	DeleteFile(context.Context, *DeleteFileRequest) (*google_protobuf1.Empty, error)
}

func RegisterAPIServer(s *grpc.Server, srv APIServer) {
	s.RegisterService(&_API_serviceDesc, srv)
}

func _API_CreateRepo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateRepoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).CreateRepo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/CreateRepo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).CreateRepo(ctx, req.(*CreateRepoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_InspectRepo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InspectRepoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).InspectRepo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/InspectRepo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).InspectRepo(ctx, req.(*InspectRepoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_ListRepo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRepoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).ListRepo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/ListRepo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).ListRepo(ctx, req.(*ListRepoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_DeleteRepo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteRepoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).DeleteRepo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/DeleteRepo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).DeleteRepo(ctx, req.(*DeleteRepoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_StartCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StartCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).StartCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/StartCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).StartCommit(ctx, req.(*StartCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_FinishCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FinishCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).FinishCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/FinishCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).FinishCommit(ctx, req.(*FinishCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_InspectCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InspectCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).InspectCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/InspectCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).InspectCommit(ctx, req.(*InspectCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_ListCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).ListCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/ListCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).ListCommit(ctx, req.(*ListCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_DeleteCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).DeleteCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/DeleteCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).DeleteCommit(ctx, req.(*DeleteCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_FlushCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FlushCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).FlushCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/FlushCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).FlushCommit(ctx, req.(*FlushCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_ListBranch_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListBranchRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).ListBranch(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/ListBranch",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).ListBranch(ctx, req.(*ListBranchRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_PutFile_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(APIServer).PutFile(&aPIPutFileServer{stream})
}

type API_PutFileServer interface {
	SendAndClose(*google_protobuf1.Empty) error
	Recv() (*PutFileRequest, error)
	grpc.ServerStream
}

type aPIPutFileServer struct {
	grpc.ServerStream
}

func (x *aPIPutFileServer) SendAndClose(m *google_protobuf1.Empty) error {
	return x.ServerStream.SendMsg(m)
}

func (x *aPIPutFileServer) Recv() (*PutFileRequest, error) {
	m := new(PutFileRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func _API_GetFile_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(GetFileRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(APIServer).GetFile(m, &aPIGetFileServer{stream})
}

type API_GetFileServer interface {
	Send(*google_protobuf3.BytesValue) error
	grpc.ServerStream
}

type aPIGetFileServer struct {
	grpc.ServerStream
}

func (x *aPIGetFileServer) Send(m *google_protobuf3.BytesValue) error {
	return x.ServerStream.SendMsg(m)
}

func _API_InspectFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InspectFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).InspectFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/InspectFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).InspectFile(ctx, req.(*InspectFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_ListFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).ListFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/ListFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).ListFile(ctx, req.(*ListFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _API_DeleteFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(APIServer).DeleteFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.API/DeleteFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(APIServer).DeleteFile(ctx, req.(*DeleteFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _API_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pfs.API",
	HandlerType: (*APIServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateRepo",
			Handler:    _API_CreateRepo_Handler,
		},
		{
			MethodName: "InspectRepo",
			Handler:    _API_InspectRepo_Handler,
		},
		{
			MethodName: "ListRepo",
			Handler:    _API_ListRepo_Handler,
		},
		{
			MethodName: "DeleteRepo",
			Handler:    _API_DeleteRepo_Handler,
		},
		{
			MethodName: "StartCommit",
			Handler:    _API_StartCommit_Handler,
		},
		{
			MethodName: "FinishCommit",
			Handler:    _API_FinishCommit_Handler,
		},
		{
			MethodName: "InspectCommit",
			Handler:    _API_InspectCommit_Handler,
		},
		{
			MethodName: "ListCommit",
			Handler:    _API_ListCommit_Handler,
		},
		{
			MethodName: "DeleteCommit",
			Handler:    _API_DeleteCommit_Handler,
		},
		{
			MethodName: "FlushCommit",
			Handler:    _API_FlushCommit_Handler,
		},
		{
			MethodName: "ListBranch",
			Handler:    _API_ListBranch_Handler,
		},
		{
			MethodName: "InspectFile",
			Handler:    _API_InspectFile_Handler,
		},
		{
			MethodName: "ListFile",
			Handler:    _API_ListFile_Handler,
		},
		{
			MethodName: "DeleteFile",
			Handler:    _API_DeleteFile_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "PutFile",
			Handler:       _API_PutFile_Handler,
			ClientStreams: true,
		},
		{
			StreamName:    "GetFile",
			Handler:       _API_GetFile_Handler,
			ServerStreams: true,
		},
	},
}

// Client API for InternalAPI service

type InternalAPIClient interface {
	// Repo rpcs
	// CreateRepo creates a new repo.
	// An error is returned if the repo already exists.
	CreateRepo(ctx context.Context, in *CreateRepoRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// InspectRepo returns info about a repo.
	InspectRepo(ctx context.Context, in *InspectRepoRequest, opts ...grpc.CallOption) (*RepoInfo, error)
	// ListRepo returns info about all repos.
	ListRepo(ctx context.Context, in *ListRepoRequest, opts ...grpc.CallOption) (*RepoInfos, error)
	// DeleteRepo deletes a repo.
	DeleteRepo(ctx context.Context, in *DeleteRepoRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Commit rpcs
	// StartCommit creates a new write commit from a parent commit.
	StartCommit(ctx context.Context, in *StartCommitRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// FinishCommit turns a write commit into a read commit.
	FinishCommit(ctx context.Context, in *FinishCommitRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// InspectCommit returns the info about a commit.
	InspectCommit(ctx context.Context, in *InspectCommitRequest, opts ...grpc.CallOption) (*CommitInfo, error)
	// ListCommit returns info about all commits.
	ListCommit(ctx context.Context, in *ListCommitRequest, opts ...grpc.CallOption) (*CommitInfos, error)
	// DeleteCommit deletes a commit.
	DeleteCommit(ctx context.Context, in *DeleteCommitRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// FlushCommit waits for downstream commits to finish
	FlushCommit(ctx context.Context, in *FlushCommitRequest, opts ...grpc.CallOption) (*CommitInfos, error)
	// ListBranch returns info about the heads of branches.
	ListBranch(ctx context.Context, in *ListBranchRequest, opts ...grpc.CallOption) (*CommitInfos, error)
	// File rpcs
	// PutFile writes the specified file to pfs.
	PutFile(ctx context.Context, opts ...grpc.CallOption) (InternalAPI_PutFileClient, error)
	// GetFile returns a byte stream of the contents of the file.
	GetFile(ctx context.Context, in *GetFileRequest, opts ...grpc.CallOption) (InternalAPI_GetFileClient, error)
	// InspectFile returns info about a file.
	InspectFile(ctx context.Context, in *InspectFileRequest, opts ...grpc.CallOption) (*FileInfo, error)
	// ListFile returns info about all files.
	ListFile(ctx context.Context, in *ListFileRequest, opts ...grpc.CallOption) (*FileInfos, error)
	// DeleteFile deletes a file.
	DeleteFile(ctx context.Context, in *DeleteFileRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
}

type internalAPIClient struct {
	cc *grpc.ClientConn
}

func NewInternalAPIClient(cc *grpc.ClientConn) InternalAPIClient {
	return &internalAPIClient{cc}
}

func (c *internalAPIClient) CreateRepo(ctx context.Context, in *CreateRepoRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/CreateRepo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) InspectRepo(ctx context.Context, in *InspectRepoRequest, opts ...grpc.CallOption) (*RepoInfo, error) {
	out := new(RepoInfo)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/InspectRepo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) ListRepo(ctx context.Context, in *ListRepoRequest, opts ...grpc.CallOption) (*RepoInfos, error) {
	out := new(RepoInfos)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/ListRepo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) DeleteRepo(ctx context.Context, in *DeleteRepoRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/DeleteRepo", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) StartCommit(ctx context.Context, in *StartCommitRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/StartCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) FinishCommit(ctx context.Context, in *FinishCommitRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/FinishCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) InspectCommit(ctx context.Context, in *InspectCommitRequest, opts ...grpc.CallOption) (*CommitInfo, error) {
	out := new(CommitInfo)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/InspectCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) ListCommit(ctx context.Context, in *ListCommitRequest, opts ...grpc.CallOption) (*CommitInfos, error) {
	out := new(CommitInfos)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/ListCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) DeleteCommit(ctx context.Context, in *DeleteCommitRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/DeleteCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) FlushCommit(ctx context.Context, in *FlushCommitRequest, opts ...grpc.CallOption) (*CommitInfos, error) {
	out := new(CommitInfos)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/FlushCommit", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) ListBranch(ctx context.Context, in *ListBranchRequest, opts ...grpc.CallOption) (*CommitInfos, error) {
	out := new(CommitInfos)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/ListBranch", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) PutFile(ctx context.Context, opts ...grpc.CallOption) (InternalAPI_PutFileClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_InternalAPI_serviceDesc.Streams[0], c.cc, "/pfs.InternalAPI/PutFile", opts...)
	if err != nil {
		return nil, err
	}
	x := &internalAPIPutFileClient{stream}
	return x, nil
}

type InternalAPI_PutFileClient interface {
	Send(*PutFileRequest) error
	CloseAndRecv() (*google_protobuf1.Empty, error)
	grpc.ClientStream
}

type internalAPIPutFileClient struct {
	grpc.ClientStream
}

func (x *internalAPIPutFileClient) Send(m *PutFileRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *internalAPIPutFileClient) CloseAndRecv() (*google_protobuf1.Empty, error) {
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	m := new(google_protobuf1.Empty)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *internalAPIClient) GetFile(ctx context.Context, in *GetFileRequest, opts ...grpc.CallOption) (InternalAPI_GetFileClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_InternalAPI_serviceDesc.Streams[1], c.cc, "/pfs.InternalAPI/GetFile", opts...)
	if err != nil {
		return nil, err
	}
	x := &internalAPIGetFileClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type InternalAPI_GetFileClient interface {
	Recv() (*google_protobuf3.BytesValue, error)
	grpc.ClientStream
}

type internalAPIGetFileClient struct {
	grpc.ClientStream
}

func (x *internalAPIGetFileClient) Recv() (*google_protobuf3.BytesValue, error) {
	m := new(google_protobuf3.BytesValue)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *internalAPIClient) InspectFile(ctx context.Context, in *InspectFileRequest, opts ...grpc.CallOption) (*FileInfo, error) {
	out := new(FileInfo)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/InspectFile", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) ListFile(ctx context.Context, in *ListFileRequest, opts ...grpc.CallOption) (*FileInfos, error) {
	out := new(FileInfos)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/ListFile", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *internalAPIClient) DeleteFile(ctx context.Context, in *DeleteFileRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.InternalAPI/DeleteFile", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for InternalAPI service

type InternalAPIServer interface {
	// Repo rpcs
	// CreateRepo creates a new repo.
	// An error is returned if the repo already exists.
	CreateRepo(context.Context, *CreateRepoRequest) (*google_protobuf1.Empty, error)
	// InspectRepo returns info about a repo.
	InspectRepo(context.Context, *InspectRepoRequest) (*RepoInfo, error)
	// ListRepo returns info about all repos.
	ListRepo(context.Context, *ListRepoRequest) (*RepoInfos, error)
	// DeleteRepo deletes a repo.
	DeleteRepo(context.Context, *DeleteRepoRequest) (*google_protobuf1.Empty, error)
	// Commit rpcs
	// StartCommit creates a new write commit from a parent commit.
	StartCommit(context.Context, *StartCommitRequest) (*google_protobuf1.Empty, error)
	// FinishCommit turns a write commit into a read commit.
	FinishCommit(context.Context, *FinishCommitRequest) (*google_protobuf1.Empty, error)
	// InspectCommit returns the info about a commit.
	InspectCommit(context.Context, *InspectCommitRequest) (*CommitInfo, error)
	// ListCommit returns info about all commits.
	ListCommit(context.Context, *ListCommitRequest) (*CommitInfos, error)
	// DeleteCommit deletes a commit.
	DeleteCommit(context.Context, *DeleteCommitRequest) (*google_protobuf1.Empty, error)
	// FlushCommit waits for downstream commits to finish
	FlushCommit(context.Context, *FlushCommitRequest) (*CommitInfos, error)
	// ListBranch returns info about the heads of branches.
	ListBranch(context.Context, *ListBranchRequest) (*CommitInfos, error)
	// File rpcs
	// PutFile writes the specified file to pfs.
	PutFile(InternalAPI_PutFileServer) error
	// GetFile returns a byte stream of the contents of the file.
	GetFile(*GetFileRequest, InternalAPI_GetFileServer) error
	// InspectFile returns info about a file.
	InspectFile(context.Context, *InspectFileRequest) (*FileInfo, error)
	// ListFile returns info about all files.
	ListFile(context.Context, *ListFileRequest) (*FileInfos, error)
	// DeleteFile deletes a file.
	DeleteFile(context.Context, *DeleteFileRequest) (*google_protobuf1.Empty, error)
}

func RegisterInternalAPIServer(s *grpc.Server, srv InternalAPIServer) {
	s.RegisterService(&_InternalAPI_serviceDesc, srv)
}

func _InternalAPI_CreateRepo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateRepoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).CreateRepo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/CreateRepo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).CreateRepo(ctx, req.(*CreateRepoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_InspectRepo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InspectRepoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).InspectRepo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/InspectRepo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).InspectRepo(ctx, req.(*InspectRepoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_ListRepo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRepoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).ListRepo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/ListRepo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).ListRepo(ctx, req.(*ListRepoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_DeleteRepo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteRepoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).DeleteRepo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/DeleteRepo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).DeleteRepo(ctx, req.(*DeleteRepoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_StartCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StartCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).StartCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/StartCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).StartCommit(ctx, req.(*StartCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_FinishCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FinishCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).FinishCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/FinishCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).FinishCommit(ctx, req.(*FinishCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_InspectCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InspectCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).InspectCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/InspectCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).InspectCommit(ctx, req.(*InspectCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_ListCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).ListCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/ListCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).ListCommit(ctx, req.(*ListCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_DeleteCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).DeleteCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/DeleteCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).DeleteCommit(ctx, req.(*DeleteCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_FlushCommit_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FlushCommitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).FlushCommit(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/FlushCommit",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).FlushCommit(ctx, req.(*FlushCommitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_ListBranch_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListBranchRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).ListBranch(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/ListBranch",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).ListBranch(ctx, req.(*ListBranchRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_PutFile_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(InternalAPIServer).PutFile(&internalAPIPutFileServer{stream})
}

type InternalAPI_PutFileServer interface {
	SendAndClose(*google_protobuf1.Empty) error
	Recv() (*PutFileRequest, error)
	grpc.ServerStream
}

type internalAPIPutFileServer struct {
	grpc.ServerStream
}

func (x *internalAPIPutFileServer) SendAndClose(m *google_protobuf1.Empty) error {
	return x.ServerStream.SendMsg(m)
}

func (x *internalAPIPutFileServer) Recv() (*PutFileRequest, error) {
	m := new(PutFileRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func _InternalAPI_GetFile_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(GetFileRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(InternalAPIServer).GetFile(m, &internalAPIGetFileServer{stream})
}

type InternalAPI_GetFileServer interface {
	Send(*google_protobuf3.BytesValue) error
	grpc.ServerStream
}

type internalAPIGetFileServer struct {
	grpc.ServerStream
}

func (x *internalAPIGetFileServer) Send(m *google_protobuf3.BytesValue) error {
	return x.ServerStream.SendMsg(m)
}

func _InternalAPI_InspectFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InspectFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).InspectFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/InspectFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).InspectFile(ctx, req.(*InspectFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_ListFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).ListFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/ListFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).ListFile(ctx, req.(*ListFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _InternalAPI_DeleteFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(InternalAPIServer).DeleteFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.InternalAPI/DeleteFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(InternalAPIServer).DeleteFile(ctx, req.(*DeleteFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _InternalAPI_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pfs.InternalAPI",
	HandlerType: (*InternalAPIServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateRepo",
			Handler:    _InternalAPI_CreateRepo_Handler,
		},
		{
			MethodName: "InspectRepo",
			Handler:    _InternalAPI_InspectRepo_Handler,
		},
		{
			MethodName: "ListRepo",
			Handler:    _InternalAPI_ListRepo_Handler,
		},
		{
			MethodName: "DeleteRepo",
			Handler:    _InternalAPI_DeleteRepo_Handler,
		},
		{
			MethodName: "StartCommit",
			Handler:    _InternalAPI_StartCommit_Handler,
		},
		{
			MethodName: "FinishCommit",
			Handler:    _InternalAPI_FinishCommit_Handler,
		},
		{
			MethodName: "InspectCommit",
			Handler:    _InternalAPI_InspectCommit_Handler,
		},
		{
			MethodName: "ListCommit",
			Handler:    _InternalAPI_ListCommit_Handler,
		},
		{
			MethodName: "DeleteCommit",
			Handler:    _InternalAPI_DeleteCommit_Handler,
		},
		{
			MethodName: "FlushCommit",
			Handler:    _InternalAPI_FlushCommit_Handler,
		},
		{
			MethodName: "ListBranch",
			Handler:    _InternalAPI_ListBranch_Handler,
		},
		{
			MethodName: "InspectFile",
			Handler:    _InternalAPI_InspectFile_Handler,
		},
		{
			MethodName: "ListFile",
			Handler:    _InternalAPI_ListFile_Handler,
		},
		{
			MethodName: "DeleteFile",
			Handler:    _InternalAPI_DeleteFile_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "PutFile",
			Handler:       _InternalAPI_PutFile_Handler,
			ClientStreams: true,
		},
		{
			StreamName:    "GetFile",
			Handler:       _InternalAPI_GetFile_Handler,
			ServerStreams: true,
		},
	},
}

// Client API for BlockAPI service

type BlockAPIClient interface {
	PutBlock(ctx context.Context, opts ...grpc.CallOption) (BlockAPI_PutBlockClient, error)
	GetBlock(ctx context.Context, in *GetBlockRequest, opts ...grpc.CallOption) (BlockAPI_GetBlockClient, error)
	DeleteBlock(ctx context.Context, in *DeleteBlockRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	InspectBlock(ctx context.Context, in *InspectBlockRequest, opts ...grpc.CallOption) (*BlockInfo, error)
	ListBlock(ctx context.Context, in *ListBlockRequest, opts ...grpc.CallOption) (*BlockInfos, error)
	CreateDiff(ctx context.Context, in *DiffInfo, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	InspectDiff(ctx context.Context, in *InspectDiffRequest, opts ...grpc.CallOption) (*DiffInfo, error)
	ListDiff(ctx context.Context, in *ListDiffRequest, opts ...grpc.CallOption) (BlockAPI_ListDiffClient, error)
	DeleteDiff(ctx context.Context, in *DeleteDiffRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
}

type blockAPIClient struct {
	cc *grpc.ClientConn
}

func NewBlockAPIClient(cc *grpc.ClientConn) BlockAPIClient {
	return &blockAPIClient{cc}
}

func (c *blockAPIClient) PutBlock(ctx context.Context, opts ...grpc.CallOption) (BlockAPI_PutBlockClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_BlockAPI_serviceDesc.Streams[0], c.cc, "/pfs.BlockAPI/PutBlock", opts...)
	if err != nil {
		return nil, err
	}
	x := &blockAPIPutBlockClient{stream}
	return x, nil
}

type BlockAPI_PutBlockClient interface {
	Send(*PutBlockRequest) error
	CloseAndRecv() (*BlockRefs, error)
	grpc.ClientStream
}

type blockAPIPutBlockClient struct {
	grpc.ClientStream
}

func (x *blockAPIPutBlockClient) Send(m *PutBlockRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *blockAPIPutBlockClient) CloseAndRecv() (*BlockRefs, error) {
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	m := new(BlockRefs)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *blockAPIClient) GetBlock(ctx context.Context, in *GetBlockRequest, opts ...grpc.CallOption) (BlockAPI_GetBlockClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_BlockAPI_serviceDesc.Streams[1], c.cc, "/pfs.BlockAPI/GetBlock", opts...)
	if err != nil {
		return nil, err
	}
	x := &blockAPIGetBlockClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type BlockAPI_GetBlockClient interface {
	Recv() (*google_protobuf3.BytesValue, error)
	grpc.ClientStream
}

type blockAPIGetBlockClient struct {
	grpc.ClientStream
}

func (x *blockAPIGetBlockClient) Recv() (*google_protobuf3.BytesValue, error) {
	m := new(google_protobuf3.BytesValue)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *blockAPIClient) DeleteBlock(ctx context.Context, in *DeleteBlockRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.BlockAPI/DeleteBlock", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *blockAPIClient) InspectBlock(ctx context.Context, in *InspectBlockRequest, opts ...grpc.CallOption) (*BlockInfo, error) {
	out := new(BlockInfo)
	err := grpc.Invoke(ctx, "/pfs.BlockAPI/InspectBlock", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *blockAPIClient) ListBlock(ctx context.Context, in *ListBlockRequest, opts ...grpc.CallOption) (*BlockInfos, error) {
	out := new(BlockInfos)
	err := grpc.Invoke(ctx, "/pfs.BlockAPI/ListBlock", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *blockAPIClient) CreateDiff(ctx context.Context, in *DiffInfo, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.BlockAPI/CreateDiff", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *blockAPIClient) InspectDiff(ctx context.Context, in *InspectDiffRequest, opts ...grpc.CallOption) (*DiffInfo, error) {
	out := new(DiffInfo)
	err := grpc.Invoke(ctx, "/pfs.BlockAPI/InspectDiff", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *blockAPIClient) ListDiff(ctx context.Context, in *ListDiffRequest, opts ...grpc.CallOption) (BlockAPI_ListDiffClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_BlockAPI_serviceDesc.Streams[2], c.cc, "/pfs.BlockAPI/ListDiff", opts...)
	if err != nil {
		return nil, err
	}
	x := &blockAPIListDiffClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type BlockAPI_ListDiffClient interface {
	Recv() (*DiffInfo, error)
	grpc.ClientStream
}

type blockAPIListDiffClient struct {
	grpc.ClientStream
}

func (x *blockAPIListDiffClient) Recv() (*DiffInfo, error) {
	m := new(DiffInfo)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *blockAPIClient) DeleteDiff(ctx context.Context, in *DeleteDiffRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/pfs.BlockAPI/DeleteDiff", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for BlockAPI service

type BlockAPIServer interface {
	PutBlock(BlockAPI_PutBlockServer) error
	GetBlock(*GetBlockRequest, BlockAPI_GetBlockServer) error
	DeleteBlock(context.Context, *DeleteBlockRequest) (*google_protobuf1.Empty, error)
	InspectBlock(context.Context, *InspectBlockRequest) (*BlockInfo, error)
	ListBlock(context.Context, *ListBlockRequest) (*BlockInfos, error)
	CreateDiff(context.Context, *DiffInfo) (*google_protobuf1.Empty, error)
	InspectDiff(context.Context, *InspectDiffRequest) (*DiffInfo, error)
	ListDiff(*ListDiffRequest, BlockAPI_ListDiffServer) error
	DeleteDiff(context.Context, *DeleteDiffRequest) (*google_protobuf1.Empty, error)
}

func RegisterBlockAPIServer(s *grpc.Server, srv BlockAPIServer) {
	s.RegisterService(&_BlockAPI_serviceDesc, srv)
}

func _BlockAPI_PutBlock_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(BlockAPIServer).PutBlock(&blockAPIPutBlockServer{stream})
}

type BlockAPI_PutBlockServer interface {
	SendAndClose(*BlockRefs) error
	Recv() (*PutBlockRequest, error)
	grpc.ServerStream
}

type blockAPIPutBlockServer struct {
	grpc.ServerStream
}

func (x *blockAPIPutBlockServer) SendAndClose(m *BlockRefs) error {
	return x.ServerStream.SendMsg(m)
}

func (x *blockAPIPutBlockServer) Recv() (*PutBlockRequest, error) {
	m := new(PutBlockRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func _BlockAPI_GetBlock_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(GetBlockRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(BlockAPIServer).GetBlock(m, &blockAPIGetBlockServer{stream})
}

type BlockAPI_GetBlockServer interface {
	Send(*google_protobuf3.BytesValue) error
	grpc.ServerStream
}

type blockAPIGetBlockServer struct {
	grpc.ServerStream
}

func (x *blockAPIGetBlockServer) Send(m *google_protobuf3.BytesValue) error {
	return x.ServerStream.SendMsg(m)
}

func _BlockAPI_DeleteBlock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteBlockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BlockAPIServer).DeleteBlock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.BlockAPI/DeleteBlock",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BlockAPIServer).DeleteBlock(ctx, req.(*DeleteBlockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _BlockAPI_InspectBlock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InspectBlockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BlockAPIServer).InspectBlock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.BlockAPI/InspectBlock",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BlockAPIServer).InspectBlock(ctx, req.(*InspectBlockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _BlockAPI_ListBlock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListBlockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BlockAPIServer).ListBlock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.BlockAPI/ListBlock",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BlockAPIServer).ListBlock(ctx, req.(*ListBlockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _BlockAPI_CreateDiff_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DiffInfo)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BlockAPIServer).CreateDiff(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.BlockAPI/CreateDiff",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BlockAPIServer).CreateDiff(ctx, req.(*DiffInfo))
	}
	return interceptor(ctx, in, info, handler)
}

func _BlockAPI_InspectDiff_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InspectDiffRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BlockAPIServer).InspectDiff(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.BlockAPI/InspectDiff",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BlockAPIServer).InspectDiff(ctx, req.(*InspectDiffRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _BlockAPI_ListDiff_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(ListDiffRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(BlockAPIServer).ListDiff(m, &blockAPIListDiffServer{stream})
}

type BlockAPI_ListDiffServer interface {
	Send(*DiffInfo) error
	grpc.ServerStream
}

type blockAPIListDiffServer struct {
	grpc.ServerStream
}

func (x *blockAPIListDiffServer) Send(m *DiffInfo) error {
	return x.ServerStream.SendMsg(m)
}

func _BlockAPI_DeleteDiff_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteDiffRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BlockAPIServer).DeleteDiff(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pfs.BlockAPI/DeleteDiff",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BlockAPIServer).DeleteDiff(ctx, req.(*DeleteDiffRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _BlockAPI_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pfs.BlockAPI",
	HandlerType: (*BlockAPIServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "DeleteBlock",
			Handler:    _BlockAPI_DeleteBlock_Handler,
		},
		{
			MethodName: "InspectBlock",
			Handler:    _BlockAPI_InspectBlock_Handler,
		},
		{
			MethodName: "ListBlock",
			Handler:    _BlockAPI_ListBlock_Handler,
		},
		{
			MethodName: "CreateDiff",
			Handler:    _BlockAPI_CreateDiff_Handler,
		},
		{
			MethodName: "InspectDiff",
			Handler:    _BlockAPI_InspectDiff_Handler,
		},
		{
			MethodName: "DeleteDiff",
			Handler:    _BlockAPI_DeleteDiff_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "PutBlock",
			Handler:       _BlockAPI_PutBlock_Handler,
			ClientStreams: true,
		},
		{
			StreamName:    "GetBlock",
			Handler:       _BlockAPI_GetBlock_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "ListDiff",
			Handler:       _BlockAPI_ListDiff_Handler,
			ServerStreams: true,
		},
	},
}

var fileDescriptor0 = []byte{
	// 2063 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0xec, 0x59, 0x4b, 0x8f, 0xdb, 0xd6,
	0x15, 0x36, 0x45, 0x4a, 0xa2, 0x8e, 0x66, 0x34, 0xe3, 0x6b, 0xc7, 0x9d, 0xd0, 0x6e, 0x32, 0x65,
	0xd2, 0x36, 0x71, 0xd2, 0x99, 0x60, 0x9c, 0x17, 0x9c, 0xb6, 0xce, 0xd8, 0x23, 0x3b, 0x0a, 0xfc,
	0x02, 0x3d, 0x69, 0xd1, 0x45, 0x21, 0x50, 0x1a, 0xca, 0x43, 0x58, 0xa2, 0x54, 0x92, 0x4a, 0x30,
	0x5d, 0x16, 0xe8, 0xa2, 0xdd, 0x76, 0x5d, 0x74, 0xdd, 0x75, 0x17, 0xfd, 0x0f, 0xfe, 0x0b, 0x45,
	0xd7, 0x5d, 0xf7, 0x1f, 0xf4, 0xdc, 0x73, 0x2f, 0xa9, 0x7b, 0x49, 0x3d, 0x03, 0xa4, 0x2d, 0x90,
	0x2c, 0x12, 0xdf, 0xd7, 0x39, 0xf7, 0x3c, 0xbe, 0x73, 0xee, 0x27, 0x0e, 0x5c, 0xed, 0x0f, 0xc3,
	0x20, 0x4a, 0x0f, 0x27, 0x83, 0x84, 0xff, 0x77, 0x30, 0x89, 0xc7, 0xe9, 0x98, 0x99, 0x38, 0x74,
	0x6e, 0x3c, 0x1f, 0x8f, 0x9f, 0x0f, 0x83, 0x43, 0x7f, 0x12, 0x1e, 0xfa, 0x51, 0x34, 0x4e, 0xfd,
	0x34, 0x1c, 0x47, 0xf2, 0x88, 0x73, 0x5d, 0xee, 0xd2, 0xac, 0x37, 0x1d, 0x1c, 0x06, 0xa3, 0x49,
	0x7a, 0x21, 0x37, 0x5f, 0x2f, 0x6e, 0xa6, 0xe1, 0x28, 0x48, 0x52, 0x7f, 0x34, 0x91, 0x07, 0x5e,
	0x2b, 0x1e, 0xf8, 0x2a, 0xf6, 0x27, 0x93, 0x20, 0xce, 0xb4, 0xdf, 0xc8, 0xcc, 0x7a, 0xf1, 0xfc,
	0x30, 0x39, 0xf7, 0xe3, 0x33, 0xf1, 0x7f, 0xb1, 0xeb, 0x3a, 0x60, 0x79, 0xc1, 0x64, 0xcc, 0x18,
	0x58, 0x91, 0x3f, 0x0a, 0xf6, 0x8c, 0x7d, 0xe3, 0xad, 0x86, 0x47, 0x63, 0xf7, 0x23, 0xa8, 0xdd,
	0x1b, 0x8f, 0x46, 0x61, 0xca, 0xbe, 0x0f, 0x56, 0x8c, 0xa7, 0x68, 0xb7, 0x79, 0xd4, 0x38, 0xe0,
	0xee, 0x71, 0x31, 0x8f, 0x96, 0x59, 0x0b, 0x2a, 0xe1, 0xd9, 0x5e, 0x85, 0x44, 0x71, 0xe4, 0xde,
	0x01, 0xeb, 0x7e, 0x38, 0x0c, 0xd8, 0x1b, 0x50, 0xeb, 0x93, 0x02, 0x29, 0xd8, 0x24, 0x41, 0xa1,
	0xd3, 0x93, 0x5b, 0xfc, 0xe6, 0x89, 0x9f, 0x9e, 0x4b, 0x71, 0x1a, 0xbb, 0xd7, 0xa1, 0x7a, 0x77,
	0x38, 0xee, 0xbf, 0xe0, 0x9b, 0xe7, 0x7e, 0x72, 0x9e, 0x99, 0xc5, 0xc7, 0xee, 0x31, 0x58, 0x27,
	0xe1, 0x60, 0xb0, 0x9e, 0xf6, 0xab, 0x50, 0x25, 0x77, 0x49, 0xbd, 0xe5, 0x89, 0x89, 0xfb, 0x57,
	0x03, 0x6c, 0x6e, 0x7f, 0x27, 0x1a, 0x8c, 0x57, 0x39, 0xf7, 0x3e, 0xd4, 0xfb, 0x71, 0xe0, 0xa7,
	0x81, 0xd0, 0xd1, 0x3c, 0x72, 0x0e, 0x44, 0xc4, 0x0f, 0xb2, 0x88, 0x1f, 0x9c, 0x66, 0x29, 0xf1,
	0xb2, 0xa3, 0xa8, 0x14, 0x92, 0xf0, 0xb7, 0x41, 0xb7, 0x77, 0x91, 0x06, 0xc9, 0x9e, 0x49, 0x97,
	0x37, 0xf8, 0xca, 0x5d, 0xbe, 0xc0, 0xde, 0x06, 0x40, 0xe9, 0x2f, 0x83, 0xc8, 0x8f, 0xfa, 0xc1,
	0x9e, 0xb5, 0x6f, 0xea, 0x37, 0x2b, 0x9b, 0x98, 0x85, 0x46, 0x66, 0x6a, 0xc2, 0x6e, 0x42, 0x83,
	0x1b, 0xd5, 0x0d, 0x71, 0x86, 0x06, 0x73, 0xb1, 0xed, 0x5c, 0x8c, 0x1f, 0xf1, 0xec, 0x58, 0x8e,
	0xdc, 0xdf, 0x9b, 0x00, 0x22, 0x1a, 0xe4, 0xe6, 0x5a, 0xe1, 0xba, 0x06, 0xb5, 0x5e, 0x8c, 0xd7,
	0x66, 0xe9, 0x90, 0x33, 0xf6, 0x1e, 0x34, 0xc5, 0x89, 0x6e, 0x7a, 0x31, 0x09, 0xc8, 0x9f, 0xd6,
	0xd1, 0x8e, 0xa2, 0xe1, 0x14, 0x97, 0x3d, 0xe8, 0xe7, 0x63, 0x94, 0xd8, 0x9e, 0xf8, 0x31, 0x02,
	0xaf, 0x2b, 0x6f, 0xb5, 0xca, 0xb7, 0x6e, 0x89, 0x13, 0x12, 0x64, 0x18, 0x68, 0x0c, 0x62, 0xcc,
	0x03, 0x5d, 0x5d, 0x1d, 0x68, 0x79, 0x94, 0x7d, 0x08, 0xf6, 0x20, 0x8c, 0xc2, 0xe4, 0x1c, 0xc5,
	0x6a, 0x2b, 0xc5, 0xf2, 0xb3, 0x85, 0x04, 0xd5, 0x8b, 0x09, 0xba, 0x01, 0x8d, 0x3e, 0x0f, 0xff,
	0x70, 0x88, 0x7a, 0x6d, 0xdc, 0xb5, 0xbd, 0xd9, 0x02, 0x7b, 0x47, 0x4b, 0x5f, 0x83, 0xf2, 0xa0,
	0x79, 0xa6, 0x26, 0xf0, 0x0e, 0x34, 0x67, 0x69, 0x48, 0x94, 0x50, 0x2a, 0x49, 0x54, 0x43, 0x49,
	0x69, 0x94, 0xa1, 0xa4, 0x44, 0xfe, 0xa1, 0x02, 0x36, 0xaf, 0xa7, 0x0c, 0xad, 0x03, 0x1c, 0x6b,
	0x68, 0xe5, 0x9b, 0x1e, 0x2d, 0x73, 0x80, 0xf0, 0x7f, 0x45, 0x9a, 0x2a, 0x94, 0xa6, 0xed, 0xfc,
	0x0c, 0x25, 0xc9, 0x1e, 0xc8, 0xd1, 0x2a, 0x8c, 0x62, 0x64, 0x47, 0xe3, 0xb3, 0x70, 0x10, 0x62,
	0x04, 0xac, 0xd5, 0x91, 0xcd, 0xce, 0x62, 0x1e, 0x77, 0xa4, 0x83, 0xb9, 0x78, 0xb5, 0x9c, 0xfb,
	0x96, 0x38, 0xf3, 0x28, 0x93, 0xfa, 0x21, 0xd8, 0xfd, 0xf3, 0x70, 0x78, 0x86, 0x80, 0xc0, 0x3c,
	0x9a, 0xba, 0x6f, 0xf9, 0x16, 0xaf, 0x86, 0x2c, 0x14, 0x49, 0xee, 0x6c, 0xa9, 0x1a, 0xb2, 0x23,
	0xc2, 0x59, 0x0a, 0x22, 0x0a, 0x72, 0xb7, 0x3c, 0x3f, 0x7a, 0x1e, 0xf0, 0xae, 0x30, 0x1c, 0x7f,
	0x15, 0xc4, 0x14, 0x45, 0xec, 0x0a, 0x34, 0xe1, 0xab, 0x53, 0xde, 0x39, 0xb3, 0x5e, 0x41, 0x13,
	0xd7, 0x03, 0x9b, 0x7a, 0x91, 0x17, 0x0c, 0xd8, 0x3e, 0x54, 0x7b, 0x7c, 0x2c, 0xa3, 0x0f, 0x74,
	0x99, 0xd8, 0x15, 0x1b, 0xec, 0x4d, 0xa8, 0xc6, 0xfc, 0x0a, 0xd9, 0x2b, 0x5a, 0xe2, 0x44, 0x76,
	0xb1, 0x27, 0x36, 0xc9, 0x18, 0xa9, 0x93, 0xbc, 0x20, 0xd9, 0x6e, 0x1c, 0x0c, 0x34, 0x2f, 0xb2,
	0x23, 0x9e, 0xdd, 0x93, 0x23, 0xf7, 0x2f, 0x16, 0xd4, 0x8e, 0xd1, 0xac, 0xe8, 0x8c, 0xbd, 0x0b,
	0x90, 0x8b, 0x25, 0xf3, 0xe5, 0x1a, 0xbd, 0xfc, 0x92, 0x0f, 0x94, 0xf0, 0x56, 0xe8, 0xec, 0xab,
	0x74, 0x56, 0x28, 0x3b, 0xb8, 0x27, 0xf7, 0xda, 0x51, 0x1a, 0x5f, 0xcc, 0xc2, 0xcd, 0x7e, 0x04,
	0xf6, 0xd0, 0x4f, 0x52, 0x32, 0xcd, 0x2c, 0x27, 0xb1, 0xce, 0x37, 0x79, 0x60, 0xb0, 0x6f, 0x9c,
	0x05, 0xc3, 0x20, 0x0d, 0x08, 0x29, 0xb6, 0x27, 0x67, 0xec, 0x08, 0xea, 0xe7, 0x7e, 0x74, 0x36,
	0x44, 0x7c, 0x55, 0xe9, 0xd6, 0x3d, 0xf5, 0xd6, 0xcf, 0xc4, 0x96, 0xb8, 0x34, 0x3b, 0xc8, 0xda,
	0xd0, 0x12, 0xc3, 0xae, 0x50, 0x92, 0x48, 0x3c, 0xbc, 0x56, 0x16, 0x3d, 0x11, 0x07, 0x84, 0x82,
	0xed, 0x73, 0x75, 0x4d, 0xaf, 0x84, 0xfa, 0xd2, 0x4a, 0x70, 0x3e, 0x81, 0x6d, 0x2d, 0x02, 0x6c,
	0x17, 0xcc, 0x17, 0xc1, 0x85, 0x7c, 0x76, 0xf8, 0x90, 0x83, 0xe3, 0x4b, 0x7f, 0x38, 0x15, 0x89,
	0xb5, 0x3d, 0x31, 0xb9, 0x5d, 0xf9, 0xd8, 0x70, 0x3e, 0x87, 0x2d, 0xd5, 0x91, 0x39, 0xb2, 0x6f,
	0xaa, 0xb2, 0x39, 0x28, 0xb2, 0xdc, 0xa8, 0xba, 0x3e, 0x05, 0x56, 0xf6, 0x6c, 0x13, 0x6b, 0xdc,
	0xdf, 0x19, 0x12, 0x5b, 0xd4, 0x2d, 0x56, 0x03, 0xf6, 0x9b, 0x78, 0xde, 0xdc, 0x4f, 0x00, 0x72,
	0x1b, 0x12, 0xf6, 0x93, 0x0c, 0xa9, 0x4a, 0x9d, 0x2a, 0x31, 0xa0, 0x42, 0x15, 0x50, 0xa5, 0x4a,
	0x7d, 0x69, 0x82, 0xcd, 0x1f, 0xf8, 0xac, 0xdd, 0x61, 0x83, 0x18, 0x68, 0xed, 0x8e, 0x6f, 0x7a,
	0xb4, 0x5c, 0x7e, 0x65, 0x2a, 0xab, 0x5e, 0x99, 0xd9, 0x0b, 0x67, 0x6a, 0x2f, 0x9c, 0xf2, 0xfa,
	0x58, 0x5f, 0xef, 0xf5, 0xa9, 0x6e, 0xf0, 0xfa, 0xe0, 0x6d, 0x3e, 0x01, 0x39, 0x03, 0xb7, 0x93,
	0x7b, 0xc6, 0xdd, 0x96, 0x28, 0xcf, 0x2a, 0x43, 0x1e, 0xfd, 0xef, 0xbd, 0x59, 0xce, 0x03, 0xd8,
	0x52, 0x4d, 0x98, 0x83, 0xc0, 0x1f, 0xe8, 0x98, 0x6e, 0x2a, 0xc5, 0xa9, 0xc2, 0xf1, 0x4f, 0x06,
	0x54, 0x9f, 0x71, 0xce, 0xc5, 0x5e, 0x87, 0x26, 0xd5, 0x63, 0x34, 0x1d, 0xf5, 0xf2, 0xce, 0x0b,
	0x7c, 0xe9, 0x31, 0xad, 0xa0, 0xc6, 0x2d, 0x3a, 0x80, 0xaf, 0xc6, 0x74, 0x38, 0x4d, 0x64, 0x17,
	0x26, 0xa1, 0x47, 0x62, 0x89, 0x1f, 0x11, 0x48, 0x92, 0x4a, 0x04, 0xf0, 0x9a, 0xb4, 0x26, 0xb5,
	0xbc, 0x01, 0xdb, 0xe2, 0x48, 0xa6, 0xc6, 0xa2, 0x33, 0x42, 0x4e, 0xea, 0xe1, 0x56, 0x5d, 0xbe,
	0x47, 0x50, 0x26, 0xba, 0x15, 0xfc, 0x66, 0x8a, 0x19, 0xfa, 0x66, 0x88, 0xa0, 0xce, 0xf4, 0xcc,
	0x65, 0x4c, 0xef, 0x16, 0xb0, 0x4e, 0x94, 0x4c, 0x82, 0x7e, 0xba, 0xbe, 0x55, 0xee, 0x4f, 0x61,
	0xe7, 0x61, 0x98, 0x68, 0x12, 0xfa, 0x95, 0xc6, 0xb2, 0x2b, 0x8f, 0xe0, 0xb2, 0xe8, 0x34, 0x1b,
	0xdc, 0xf8, 0x0f, 0x03, 0xd8, 0x33, 0x8e, 0x7f, 0x89, 0x9b, 0xf5, 0xa2, 0x57, 0xf8, 0x8d, 0xc0,
	0xae, 0x43, 0x43, 0x56, 0x2e, 0x2e, 0x8b, 0x52, 0xb4, 0xc5, 0x42, 0xe7, 0x4c, 0x29, 0x52, 0x6b,
	0x51, 0x91, 0x6e, 0x40, 0x11, 0x75, 0xe4, 0xd7, 0x96, 0xb3, 0xb5, 0x3f, 0x1a, 0x70, 0xe5, 0x3e,
	0x95, 0xa9, 0xee, 0xde, 0xba, 0xf4, 0x59, 0x14, 0x9c, 0xec, 0xcb, 0x72, 0xa6, 0xb5, 0x09, 0x73,
	0xfd, 0x36, 0x81, 0x7d, 0xf4, 0xaa, 0x44, 0xc4, 0xe6, 0xc6, 0xb8, 0xff, 0x42, 0x90, 0x73, 0x68,
	0x2c, 0x4a, 0x93, 0x39, 0x2f, 0x4d, 0x05, 0xa2, 0x5f, 0x59, 0x4d, 0xf4, 0xdf, 0xc5, 0xba, 0x8e,
	0xc7, 0xa3, 0xac, 0x01, 0x9b, 0x73, 0xc2, 0xcb, 0xf7, 0x65, 0xfb, 0x7d, 0x67, 0xce, 0x0f, 0x9f,
	0x45, 0xb9, 0xe0, 0x5d, 0xc7, 0x1f, 0x0e, 0x29, 0xd5, 0xb6, 0xc7, 0x87, 0xfc, 0xdd, 0x13, 0xef,
	0x59, 0x4d, 0xbc, 0x7b, 0x34, 0xe1, 0x28, 0xe6, 0x8e, 0xde, 0x25, 0x90, 0xac, 0x89, 0xe2, 0xdb,
	0x70, 0x45, 0x20, 0xff, 0x6b, 0x44, 0xf6, 0xd7, 0xc0, 0xee, 0x63, 0x1b, 0x59, 0x82, 0x10, 0x73,
	0x11, 0x42, 0x5c, 0xa8, 0xa7, 0xe3, 0x2e, 0x19, 0x56, 0x29, 0x66, 0xa0, 0x96, 0x8e, 0xf9, 0xbf,
	0xee, 0xbf, 0x0d, 0x68, 0x3d, 0x08, 0x52, 0x62, 0xbe, 0x33, 0x67, 0x96, 0xb1, 0x7e, 0xec, 0x8b,
	0xe3, 0xc1, 0x20, 0x09, 0x52, 0xf9, 0x34, 0xf0, 0xb4, 0x99, 0x5e, 0x53, 0xac, 0x89, 0xc7, 0xa1,
	0xfc, 0x62, 0x9b, 0xea, 0xdb, 0xb1, 0x9f, 0xfd, 0x4e, 0xb6, 0x14, 0xa2, 0x40, 0x8d, 0x5b, 0xfe,
	0x66, 0x2e, 0xe6, 0x79, 0x0e, 0xa5, 0x57, 0xf3, 0x8c, 0x95, 0x30, 0x8d, 0x12, 0x7f, 0x10, 0xc8,
	0x4c, 0xc9, 0x19, 0x5f, 0x17, 0x34, 0x8d, 0x9e, 0x2f, 0xac, 0x6c, 0x31, 0x73, 0xff, 0x8e, 0x3e,
	0x3f, 0x9d, 0x6e, 0xe2, 0xf3, 0x26, 0xbf, 0x74, 0x72, 0xba, 0xc4, 0xfd, 0xde, 0x92, 0xef, 0x93,
	0x62, 0x8b, 0xa5, 0xda, 0x82, 0x9e, 0x36, 0x90, 0x79, 0x86, 0xe8, 0x06, 0x3e, 0x31, 0x55, 0xd2,
	0x2c, 0xe8, 0xca, 0x49, 0xb6, 0xea, 0xcd, 0x0e, 0xb8, 0x7f, 0x33, 0xf2, 0xb6, 0xbd, 0x81, 0xf5,
	0xfb, 0xea, 0x77, 0x89, 0x75, 0xe2, 0x6d, 0xae, 0x1b, 0x6f, 0x6b, 0x41, 0xbc, 0xab, 0x5a, 0xbc,
	0x5f, 0x1a, 0xe2, 0xdd, 0xf8, 0x1f, 0x9a, 0xbc, 0x07, 0xf5, 0x38, 0xe8, 0x4f, 0xe3, 0x24, 0xb3,
	0x39, 0x9b, 0x2a, 0xce, 0x54, 0x17, 0x38, 0x53, 0xd3, 0x9c, 0xe9, 0x65, 0xaf, 0xd8, 0x06, 0xde,
	0xcc, 0xee, 0xa8, 0x2c, 0xb8, 0xc3, 0xd4, 0xee, 0xf8, 0x02, 0x76, 0x10, 0x9f, 0x92, 0xb4, 0x8b,
	0x1b, 0x72, 0x54, 0x19, 0x2a, 0xaa, 0x34, 0xf4, 0x54, 0x56, 0xa1, 0x67, 0x0a, 0x3b, 0x58, 0xea,
	0x9a, 0xda, 0xd5, 0x9c, 0x7d, 0x5e, 0xb9, 0x5b, 0xab, 0xca, 0x5d, 0x23, 0xe8, 0x1f, 0x02, 0x13,
	0x11, 0xdb, 0xec, 0x66, 0xfc, 0xe1, 0x7a, 0x45, 0x62, 0x7d, 0x43, 0x41, 0x06, 0xbb, 0xd4, 0xa2,
	0x15, 0x29, 0x85, 0xef, 0x10, 0xa3, 0x9f, 0xe5, 0x6d, 0x09, 0xe3, 0x77, 0x7f, 0x2c, 0x70, 0xab,
	0x4a, 0xe4, 0xdf, 0xf8, 0x0c, 0xf5, 0x1b, 0x5f, 0x4e, 0x6d, 0xd6, 0x57, 0x7e, 0xf3, 0x49, 0xf6,
	0xc5, 0x4c, 0x76, 0x8d, 0xdd, 0x7b, 0x4f, 0x1e, 0x3d, 0xea, 0x9c, 0x76, 0x4f, 0x7f, 0xf5, 0xb4,
	0xdd, 0x7d, 0xfc, 0xe4, 0x71, 0x7b, 0xf7, 0x52, 0x71, 0xd5, 0x6b, 0x1f, 0x9f, 0xec, 0x1a, 0xec,
	0x15, 0x24, 0x94, 0xca, 0xea, 0x2f, 0xbd, 0xce, 0x69, 0x7b, 0xb7, 0x72, 0xf3, 0x33, 0xf1, 0xe5,
	0x86, 0xd4, 0x31, 0x68, 0xdd, 0xef, 0x3c, 0x6c, 0x6b, 0xca, 0x50, 0x6c, 0xb6, 0xe6, 0xb5, 0x1f,
	0x7c, 0xf1, 0xf0, 0xd8, 0x43, 0x6d, 0x97, 0x61, 0x7b, 0xb6, 0x7c, 0xd2, 0xf1, 0x50, 0xd3, 0xdb,
	0xd0, 0xc8, 0x01, 0xc4, 0x6c, 0xb0, 0xa4, 0x02, 0x1c, 0x7d, 0xfe, 0xec, 0xc9, 0x63, 0x94, 0xc1,
	0xd1, 0xc3, 0x0e, 0xae, 0x55, 0x8e, 0x5e, 0xd6, 0xc1, 0x3c, 0x7e, 0xda, 0x61, 0x3f, 0x47, 0x6f,
	0x72, 0x92, 0xcb, 0xae, 0x89, 0x3a, 0x2c, 0xb2, 0x5e, 0xe7, 0x5a, 0x89, 0x89, 0xb4, 0xf9, 0xe7,
	0x67, 0xf7, 0x12, 0xfb, 0x08, 0x9a, 0x0a, 0x1f, 0x65, 0xdf, 0x23, 0x05, 0x65, 0x86, 0xea, 0xe8,
	0x5f, 0x20, 0x51, 0xf0, 0x08, 0xec, 0x8c, 0x93, 0xb2, 0xab, 0xb4, 0x59, 0xa0, 0xa8, 0x4e, 0x4b,
	0x13, 0x49, 0x50, 0x06, 0x8d, 0x9d, 0x31, 0x51, 0x69, 0x6c, 0x89, 0x9a, 0x2e, 0x31, 0xf6, 0x03,
	0x68, 0x2a, 0xa4, 0x54, 0x1a, 0x5b, 0xa6, 0xa9, 0x8e, 0xda, 0x8e, 0x50, 0xec, 0x2e, 0x6c, 0xa9,
	0x6c, 0x8f, 0xed, 0xc9, 0x3e, 0x51, 0x22, 0x80, 0x4b, 0xae, 0xfe, 0x19, 0x6c, 0x6b, 0x2c, 0x8d,
	0xbd, 0xaa, 0x46, 0x4a, 0xd7, 0x52, 0xfc, 0xd0, 0x87, 0xe2, 0x1f, 0x03, 0xcc, 0x68, 0x9a, 0xf4,
	0xbc, 0xc4, 0xdb, 0x9c, 0xdd, 0x82, 0x60, 0x22, 0x8c, 0x57, 0x39, 0x8c, 0x34, 0x7e, 0x0e, 0xad,
	0x59, 0x62, 0xfc, 0x6d, 0x68, 0x2a, 0x5c, 0x46, 0xc6, 0xad, 0xcc, 0x6e, 0xe6, 0xde, 0x2f, 0x2d,
	0x17, 0xbc, 0x4b, 0xb1, 0x5c, 0x23, 0x62, 0x73, 0x25, 0x6f, 0x43, 0x5d, 0xbe, 0xf6, 0xec, 0x0a,
	0x6d, 0xeb, 0x6f, 0xff, 0x62, 0x7b, 0xdf, 0x32, 0xd8, 0x1d, 0xa8, 0x4b, 0x76, 0x24, 0x65, 0x75,
	0xae, 0xe4, 0x5c, 0x2f, 0xc9, 0x52, 0xcf, 0xfb, 0x05, 0xef, 0xce, 0xee, 0xa5, 0xf7, 0x0c, 0x05,
	0xd7, 0xa4, 0x44, 0xc3, 0xb5, 0xaa, 0x48, 0xff, 0x96, 0x38, 0xc3, 0x35, 0x49, 0xcd, 0x70, 0xad,
	0x8a, 0xb4, 0x34, 0x11, 0x0d, 0xd7, 0x24, 0xa5, 0xe2, 0x7a, 0x2d, 0x7f, 0x8f, 0xfe, 0x59, 0xe7,
	0xd6, 0x62, 0xd1, 0x47, 0xfe, 0xf0, 0x5b, 0x57, 0xd4, 0x9f, 0xae, 0x59, 0xd4, 0x8b, 0x35, 0x7c,
	0x57, 0xdf, 0xdf, 0xd5, 0xf7, 0xff, 0x75, 0x7d, 0xff, 0xd9, 0x92, 0x7f, 0x5f, 0xe0, 0xc5, 0xfd,
	0x3e, 0xd8, 0x19, 0xc9, 0x94, 0x06, 0x14, 0x38, 0xa7, 0x53, 0xf8, 0x76, 0x4c, 0x01, 0x3b, 0x06,
	0x3b, 0xe3, 0x90, 0x52, 0xaa, 0x40, 0x29, 0x57, 0x87, 0x0c, 0x0b, 0x4d, 0xe1, 0x83, 0x32, 0x64,
	0x65, 0x86, 0xb8, 0x14, 0x67, 0x5b, 0x2a, 0x33, 0x94, 0x58, 0x9d, 0x43, 0x16, 0x9d, 0xc2, 0xa7,
	0x5f, 0x7a, 0xbb, 0x1b, 0x39, 0x39, 0x64, 0xaf, 0xcc, 0x60, 0xa6, 0x4a, 0xed, 0xe8, 0x52, 0x09,
	0x89, 0xc9, 0x56, 0x48, 0x7f, 0x0e, 0xde, 0xd6, 0xbe, 0xa0, 0xae, 0xd5, 0x01, 0x49, 0x4e, 0x83,
	0x87, 0xc2, 0x15, 0x1d, 0x5d, 0x21, 0x0a, 0xde, 0x12, 0xf0, 0x20, 0xa9, 0x19, 0x3c, 0x96, 0x89,
	0x60, 0x64, 0x73, 0x7c, 0x90, 0x98, 0x8a, 0x0f, 0x55, 0x70, 0xa1, 0xb5, 0xbd, 0x1a, 0xad, 0xdc,
	0xfa, 0x4f, 0x00, 0x00, 0x00, 0xff, 0xff, 0x99, 0x5e, 0x40, 0x00, 0x5e, 0x20, 0x00, 0x00,
}
